Héraldique

LECYGN - Copyright HERALOGIC
Version 7
français
anglais


LECYGN - Copyright HERALOGIC
Version 7

Logiciel de dessin (courbes de Bézier) : possède de nombreux outils pour dessiner des tracés. Chaque tracé comporte des courbes constituées de plusieurs segments. Chaque segment est droit ou courbé. La courbure d'un segment dépend des tangentes à ses extrémités. Un dessin n'est plus qu'une liste de coordonnées, et peut donc être reproduit sans limitation de taille ni d'altération.

Toute transformation, agrandissement, rotation, déformation, ne modifie pas la qualité du dessin, recréé à chaque modification. Des outils sont proposés afin de créer, supprimer, et ajouter des points et placer les demies-tangentes (modification des courbures à chaque point). D'autres outils permettent la duplication, la recopie horizontale ou verticale, la coupure des segments, la soudure de deux tracés, l'alignement et l'espacement réguliers des points. Le logiciel est proposé avec une base de dessins pouvant servir de modèles.

Ces courbes peuvent également servir de support à des textes ondulant, de nombreux paramètres permettent de modifier les caractères (taille, largeur, couleur, bordure, remplissage), leur agencement dans la phrase (espacement, largeur des espaces, angle relatif ou fixe par rapport à la courbe), et la position horizontal ou verticale de la phrase (marge gauche, centrage horizontal et vertical).

Principe

Procédure pour créer un blason
Menus

Fichier | Tracé | Position points
Import / Export | Création | Position calques
Edition | Dessin | Affichage
Calques | Transformations | Aide
Barre d'état

 | Panneau général
Grille | Affiche ou masque la grille d'aide à la création.
G | Si la case est cochée, le fond reste visible pendant le glissement du tracé. Si la case est décochée, le fond est invisible pendant le glissement, et se repositionne automatiquement lorsque le cliquet sera lâché : permet de limiter l'utilisation de la mémoire pendant le glissement.
S | Si la case est cochée, le semé est affiché lors de son redimensionnement. Si la case est décochée, le semé disparaît temporairement lors du redimensionnement : permet de limiter l'utilisation de la mémoire pendant le glissement.
x/y | Position du pointeur déplacé avec la souris.
angle | Indique la valeur de l'angle de rotation effectué en Transformation libre.
Glissement | Case cochée : permet de placer les poignées lors de la création d'un point en glissant le pointeur, cliquet gauche appuyé. Case décochée : les poignées sont confondues avec le point, pas de risque de créer une courbe non souhaitée entre 2 points.
 | Image de fond
Arrière-plan | Affiche ou masque l'image importée en arrière-plan.
attaché | Attache ou non l'image importée en arrière-plan à l'ensemble des tracés, lors des déplacement avec la Double-flèche.
Atténuer | Masque plus ou moins l'image de fond : permet de travailler parfois plus facilement sur la création des tracés. Valeur 100 = image telle qu'elle existe, valeur 1 = l'image est pratiquement invisible.
 | Couleurs et épaisseurs des tracés
Calque sélectionné | Attribue aux traits des tracés du calque sélectionné une épaisseur allant de 1 à 30 et une couleur.
Calques associés | Attribue aux traits des tracés des calques associés au calque sélectionné l'épaisseur et la couleur choisies.
Autres calques | Attribue aux traits des tracés des autres calques l'épaisseur et la couleur choisies.
 | Zoom
Zoom | Zoom sur la zone de travail de 20% à 500%. Les 3 incrémenteurs permettent de choisir rapidement le zoom souhaité : par 100, par 1 et par 10.
par défaut | Conserve la valeur du zoom en cours lors de l'ouverture ou la création d'un dessin. Si la case est décochée le zoom est remis à 100% à l'ouverture d'un nouveau fichier.
 | Fond
Fond | Attribue une couleur au fond de l'écran utilisée uniquement lors de la création des tracés. Elle ne correspond pas à la couleur de fond de l'image lorsque celle-ci sera enregistrée ou imprimée.
Position | Place le tracé en utilisant la position mémorisée lors de l'enregistrement. Si la case n'est pas cochée, le tracé sera centré.
Mémoire utilisée | Information sur la mémoire utilisée par l'ensemble des applications ouvertes.
Raccourcis clavier :

Edition | Annuler | CTRL+ | Z
 | Refaire | CTRL+ | Q
 | Couper | CTRL+ | X
 | Copier | CTRL+ | C
 | Coller | CTRL+ | V
Dessin | Coordonner les points | CTRL+ | S
Tracé | Sélectionner tous les tracés | CTRL+ | A
Transformations | Transformation libre | CTRL+ | T
Aide | Rubriques de l'aide |  | F1
Exercices | Accès aux exercices |  | F2


LECYGN - Sommaire
MENU FICHIER
Affiche à l'écran une zone de travail vierge. Le nouveau fichier VTG ne pourra être enregistré que s'il contient au moins un point.
Dès qu'un point a été créé, le fichier peut être enregistré : le nom proposé par défaut est "En attente" suivi d'un numéro d'ordre. Un calque vierge est affiché par défaut.
Affiche la fenêtre de Gestion des fichiers permettant de visualiser le contenu du dossier VTG par défaut.
Il est possible de se déplacer dans les différents supports. Seuls les fichiers au format VTG seront visibles.
Le format VTG du logiciel LECYGN permet d'enregistrer les courbes et les éventuels textes associés.
Ce format est utilisé uniquement par les logiciels LES ESCUS DES ARMES et LECYGN.

Dans la fenêtre présentant les fichiers VTG :
Afficher Miniatures
Pour visualiser ou non les images des différents fichiers du dossier sélectionné avant ouverture.
Paramétrables dans les Préférences.

 | Si la case Miniatures est décochée, le fichier pourra être ouvert uniquement en cliquant sur son nom puis sur le bouton Ouvrir, ou en double-cliquant sur son nom. Si la case est cochée, le fichier peut être ouvert en cliquant sur son image ou son nom puis sur le bouton Ouvrir, ou en double-cliquant sur l'image ou sur le nom. Taille des miniatures La taille des miniatures permet d'agrandir de 1 à 5 l'affichage des fichiers du dossier. Valeur 2 par défaut.
Derniers fichiers ouverts | Montre la liste des derniers fichiers ouverts. Si vous choisissez un fichier qui a été supprimé entre temps, un message l'indiquera. Pour ré-ouvrir un fichier listé : cliquez sur son nom.
 | Ferme le dessin en cours. Si le fichier a été modifié, l'enregistrement est proposé.
 | Enregistre le dessin ouvert au format VTG comprenant tous les calques, comprenant les courbes et les textes associés, sans les images de fond. Les liens vers ces images peuvent être ou non mémorisés, voir Préférences. Si une image de fond a été importée, le nom proposé pour le fichier VTG sera identique à celui de l'image de fond.
 | Enregistre un dessin VTG sous un autre nom, au format VTG.
Préférences | Voir ci-dessous.
 | Dans le panneau qui s'affiche : validez simplement puis confirmer pour accéder à la version JUNIOR ; seuls les 2 premières images de chaque dossier sont accessibles, les suivantes sont uniquement visibles comme Miniatures. Sinon, tapez le code obtenu lors de l'achat du logiciel pour accéder à la version complète.
Quitter | Quitte l'application avec enregistrement préalable ou non des fichiers modifiés.
Préférences

Affiche le panneau des Préférences.
Onglet Dossiers et sous-dossiers
Des dossiers sont proposés par défaut pour l'enregistrement des différents formats de sortie ou d'importation.
Cet onglet permet de choisir ses propres dossiers.

Pour chaque format, cliquez sur le bouton pour choisir le dossier préféré.

Activez ou désactivez chaque option, selon que vous souhaitez ou non que ce dossier soit celui proposé par défaut.

Case "ne pas enregistrer les infos de l'image de fond" : si l'enregistrement de ces informations n'est pas utile, si le fichier n'est plus en cours de modification, si le fichier est placé sur un nouveau support, cette information sera ignorée à l'ouverture du fichier. En cochant cette case, la taille du fichier ne prendra pas en compte ces caractères inutiles.

Le Coefficient de floutage permet d'obtenir des dessins enregistrés ou imprimé plus agréables, annulant l'effet d'échelle propre au dessins de tracés. Le coefficient est appliqué à la hauteur et la largeur de l'image, l'image est ensuite coloriée, puis rétrécie à sa taille normale. Un coefficient de 6 multipliera l'image par 36 (6 x 6), : attention aux problèmes de mémoire RAM.
Si le coefficient est mis à 1, les contours seront nets, sans floutage. Augmenter dans ce cas le pourcentage en sortie, changez les couleurs puis réduisez l'image avec un autre logiciel. Le coefficient 3 permet d'obtenir un floutage acceptable. Le coefficient 6 donne la meilleure qualité pour de petits dessins.

Case "une seule image de fond pour tous les calques" : si elle est cochée, une seule image de fond peut être importée, sinon vous pouvez importer une image de fond par calque.

Zoom par défaut : zoom utilisé au lancement de l'application. Peut être modifié temporairement dans la barre d'état en cochant la case à cocher "par défaut" associée au Zoom.

Atténuation de l'image de fond : il est parfois préférable d'atténuer les couleurs de l'image qui sert de base à la création du VTG, en particulier ses contours. En faisant varier l'atténuation, on cherchera à obtenir une image plus adaptée au travail de calque.

Supprimer les points isolés obtenus par la découpe : lors de la découpe d'un tracé, le segment restant peut n'hériter que d'un point unique, qu'il est généralement utile de supprmer.
Onglet Paramètres généraux

Affichage barre d'outils horizontale | Cocher cette case pour afficher ou masquer la barre d'outils horizontale au démarrage de l'application.
Affichage barre d'outils secondaires | Cocher cette case pour afficher ou masquer les barres d'outils secondaires au démarrage de l'application.
Derniers fichiers ouverts | Nombre de fichiers que le logiciel conserve dans la liste des fichiers précédemment ouverts.
 | En cliquant sur Couleur par défaut, la couleur choisie sera remplacée par la couleur par défaut. Cliquer sur la case colorée pour accéder au panneau des Couleurs. Choisir une couleur. Voir Zonage et coloriage pour l'utilisation du panneau des Couleurs.
Couleur de la zone de travail | Blanche par défaut.
Epaisseur du trait d'aperçu | Epaisseur des traits du dessin des tracés.
Couleur du trait d'aperçu | Couleur des traits du dessin des tracés.
Couleurs des traits des tracés selon le calque | Couleurs utilisées pour distinguer le calque sélectionné (actif), ses calques associés et les autres.
Couleurs des traits de la grille | Couleurs utilisées pour la grille, traits principaux et secondaires.
Quadrillage | Paramètres de création de la grille.
Précision des soudures | Largeur en pixels pour la recherche des soudures possibles. Plus la valeur est grande, plus grande est la zone de recherche autour d'un point d'extrémité pour trouver un autre point d'extrémité d'un autre tracé, permettant la soudure des 2 tracés.
Cadre d'enregistrement | Paramètres du cadre entourant le fichier lors de son enregistrement: largeur de 0 à 100, couleur blanc par défaut.
Cadre d'impression | Paramètres du cadre entourant le fichier lors de son impression: largeur de 0 à 100, couleur blanc par défaut.
+++
ANNULER : ne prend en compte aucune modification, masque le panneau des Préférences.

VALIDER : enregistre les préférences et masque le panneau des Préférences. Ces préférences sont prises en compte dans la session en cours et dans les prochaines sessions.


MENU IMPORT / EXPORT
Ajouter un dessin (.vtg)
Choisissez le dossier puis le fichier à ajouter au fichier VTG existant.
Tous les tracés du fichier ouvert par cette commande seront ajoutés au fichier sur un nouveau calque.
Si le fichier à ajouter comprend plusieurs calques, ils seront tous ajoutés.
Ajouter une image de fond
Choisissez le dossier puis l'image à ajouter au fichier VTG : celle-ci servira de modèle pour créer les tracés.
Cette image pourra être déplacée ou masquée.
Si dans les Préférences la case "une seule image de fond pour tous les calques" est cochée, cette image sera visible pour tous les calques.
Afficher l'image du fond
Affiche ou masque l'image de fond du calque sélectionné, servant de modèle à la création du dessin VTG.
Supprimer l'image de fond
Supprime le lien vers l'image, l'image n'est pas supprimée du support (disque, clé, etc.).
Modifier l'image de fond

Modifie l'image de Fond afin de faciliter le calque des contours.

La Transformation modifie les dimensions de l'image et son orientation.
Cette image modifiée sera prise en compte dans la gestion des Couleurs.

La gestion des Couleurs permet d'obtenir des contours plus nets ou plus facilement exploitables.

Toutes ces modifications sur l'image de Fond ne sont conservées que le temps d'une session.

La fermeture du fichier annulera la mise au point de l'image de Fond.
Zonage et coloriage : détail des fonctionnalités.

Enregistrer l'image
Choisir le format, et pour JPG le taux qualité (inverse du taux de compression).
Pour la Sortie : choisir les dimensions (proportions conservées) en indiquant une valeur en pixels (largeur ou hauteur) ou en pourcentage.
Choisir pour le cadre entourant l'image sa largeur et sa couleur et cliquer sur Ajouter pour visualiser sur le dessin l'effet obtenu. Il est possible de modifier ces paramètres avant enregistrement.
Après l'Enregistrement, le panneau reste affiché afin de pouvoir enregistrer le dessin dans un autre format par exemple. Le bouton Annuler se change en Revenir au dessin.
Imprimer l'image
Taille (pixels) : taille réelle de l'image.
Sortie : largeur ou hauteur souhaitée (l'autre dimension non saisie respecte la proportion de l'image).
en pourcentage : taille de sortie augmentée par pourcentage.
Marges : à saisir en pixels.
centrage H : centrage entre les marges gauche et droite.
centrage V : centrage entre les marges haut et bas.
Orientation : Portrait (classique) ou Paysage (allongée).
impression pleine page : les dimensions de sortie sont adaptées pour que l'image occupe au moins l'une des dimensions utiles de la page en tenant compte des marges définies ou par défaut et des proportions de l'image.
Choisir pour le cadre entourant l'image sa largeur et sa couleur et cliquer sur Ajouter pour visualiser sur le dessin l'effet obtenu. Il est possible de modifier ces paramètres avant enregistrement.
Zonage et coloriage

Ce panneau permet de définir pour chaque calque les zones transparentes et les zones opaques (blanc par défaut) qui peuvent être coloriées. Les limites des zones sont les tracés.
Pour qu'une zone puisse être colorée, il faut que le contour soit hermétique : voir les Outils permettant de contrôler la position des points. La coloration est définie par la position du ou des clics sur le dessin, et les références des couleurs et/ou de la Transparence.
Ce sont ces informations qui sont mémorisées, le coloriage est recalculé et reproduit à chaque visualisation.

 | Les tracés des calques peuvent être déplacés (en totalité) en utilisant la Double-flèche de la barre d'outils principale. Seuls les calques possédant un tracé sont accessibles, les calques vierges seront temporairement désactivés. Tous les calques ou les calques peuvent être déplacés : cochez la case correspondante (voir 17).
1 | Le Triangle Bleu charge la palette par défaut, le Triangle Orange charge la palette Personnelle : les 21 carrés de couleurs visibles sont coloriés, ainsi que les autres carrés du Panneau général (voir 10).
2 | Les curseurs modifient les valeurs des codes R (ouge) V (ert) B (leu) des zones de textes (4) : la couleur obtenue apparaît dans le rectangle blanc (6).
3 | Les zones de textes permettent de donner des valeurs précises aux codes RVB.
4 | Dans ce panneau apparaissent les 21 premières couleurs de la palette par défaut et de la palette personnelle. Pour modifier une couleur de la Palette Personnelle : - cliquez sur le Triangle Orange pour faire apparaître la palette; - choisissez la couleur dans le nuancier et en faisant si nécessaire varier les curseurs ou saisissez les valeurs des codes R G et B; - cliquez avec le cliquet droit sur le carré de couleur à remplacer par la nouvelle couleur; - pour conserver cette modification, cliquez sur Enregistrer la Palette; - pour annuler cette modification, faites apparaître la palette Personnelle (clic sur le triangle rouge). En cliquant sur ce bouton, toutes les modifications de couleur effectuées et non enregistrées seront supprimées.
5 | La case à cocher placée à côté du rectangle de la couleur en cours permet d'associer les 3 curseurs R G B et d'obtenir à partir d'une couleur choisie toutes les nuances de cette couleur, de clair à foncé, les 3 curseurs se déplaçant en même temps.
6 | Le nuancier permet de choisir directement une couleur.
7 | L'outil Pipette permet de retrouver une couleur sur un calque.
8 | L'outil Suppression de clics permet de supprimer un clic de couleur ou de transparence sans avoir à réinitialiser l'ensemble des clics. Cochez la case "visualiser la position des clics" au préalable, puis cliquez sur le point de clic à supprimer.
9 | La palette personnelle peut être modifiée temporairement, le temps d'un dessin, ou mémorisée pour une utilisation ultérieure. Pour conserver les modifications de la palette Personnelle, cliquez sur ce bouton.
10 | Le Triangle Rouge affiche le panneau des Couleurs, permettant de mémoriser 48 couleurs et d'affiner le choix de la couleur (voir ci-dessous).
11 | En cliquant sur ce damier, l'outil Transparence est activé. Il est alors possible en cliquant sur les zones du dessin de les rendre transparentes.
12 | En cliquant sur le rectangle blanc, l'outil Opacité permet d'opacifier une zone transparente.
 | Un dessin comportera des zones transparentes et des zones opaques. Par exemple, un anneau aura une zone opaque, l'anneau lui-même, et deux zones transparentes, l'extérieur et l'intérieur de l'anneau. Vous pouvez préparer le dessin en définissant ces zones sans connaître les couleurs définitives.
13

 | 5 cases à cocher : application transparence ou couleur
1 | pour appliquer à toutes les zones opaques.
2 | pour appliquer à toutes les zones de même couleur ou de même type. Exemple : un damier comportera deux couleurs et une zone transparente, l'extérieur au damier. Après avoir colorié le damier, cochez cette case pour changer la couleur des carrés de même couleur en cliquant sur l'un des carrés à modifier.
3 | masquer les calques non sélectionnés : pour ne visualiser que le calque en cours de coloriage.
4 | contours grisés / autres calques : seul le calque actif aura des contours colorés, ce qui permet de savoir sur quel calque on travaille.
5 | visualiser la position des clics : permet de comprendre le coloriage du calque et de supprimer un clic.

14 | L'initialisation des clics de coloriage s'applique à un ou tous les calques et choix du type d'initialisation : seul le caque en cours ou tous les calques.
15 | Le calque étant enregistré avec l'historique des clics de coloriage, il est possible de revenir sur ces clics même après que le fichier a été enregistré, fermé puis ré-ouvert.
16 | Revenir au dessin : affichage des tracés.
17 | Opérations sur tous les calques ou les calques associés : pour les déplacements des calques.
18 | Mise en avant ou arrière-plan d'un calque.

Panneau des couleurs : accessible par les Préférences et le Coloriage.

Mêmes fonctions que dans le panneau simplifié.
Les zones de glissement des curseurs sont passées de 128 à 256, le nombre de couleurs des palettes est de 48 au lieu de 21.

Annuler : pour retrouver la couleur avant modification.


MENU EDITION
Annule la dernière opération.
Toutes les opérations sont enregistrées et peuvent être annulées.
Refait la dernière opération annulée.
Toutes les opérations peuvent être annulées et refaites depuis l'ouverture du fichier.
Coupe les points ou les tracés sélectionnés et les conserve en mémoire.
Copie les points ou les tracés sélectionnés.
Colle les points ou les tracés coupés ou copiés.
Déplace l'ensemble des tracés.
Si le fichier possède une image de fond, celle-ci sera aussi déplacée sauf si la case à cocher "attaché" de la barre d'état est décochée.
Le déplacement peut se faire aussi par glissement du pointeur sur la zone de travail ou en utilisant les touches-flèches du clavier :!
- flèches seules : déplacement par pixel;
- touche MAJ (pas la touche Verrou !) + flèches : déplacement par 10 pixels;
- touches CTRL+MAJ + flèches : déplacement par 50 pixels.
NOTA : en appuyant sur la touche ESPACE vous pouvez déplacer à tout moment les tracés et l'image de fond attachée.
Déplace l'image de fond si elle existe, sans déplacer les tracés.
Le déplacement peut se faire par glissement du pointeur sur la zone de travail ou en utilisant les touches-flèches du clavier :!
- flèches seules : déplacement par pixel;
- touche MAJ (pas la touche Verrou !) + flèches : déplacement par 10 pixels;
- touches CTRL+MAJ + flèches : déplacement par 50 pixels.
Effacer les textes : effacer les textes des 3 zones de saisie accessibles par Affichage / Afficher les textes.


MENU CALQUES

Un nouveau calque aura par défaut le nom de "calque" suivi d'un numéro.
La duplication d'un calque place la copie juste au-dessus du calque d'origine.
Le collage d'un calque place la copie juste au-dessus du calque actuellement sélectionné.
Les fusions réunissent en un seul calque tous les tracés des calques concernés.
La case à cocher "fusion sur nouveau calque" conserve les calques d'origine.
Pour associer un calque avec le calque sélectionné, cliquez sur le chaînon gris placé à gauche du nom du calque: ce chaînon devient rouge sur fond bleu clair.
Pour le désassocier, re-cliquez sur le chaînon rouge, le chaînon redevient gris.
Des calques associés peuvent être déplacés ensemble, par le pointeur ou les flèches du clavier.
Plus le calque est en haut de liste plus il est en avant plan.
Description d'une ligne de la liste des calques

1 | Image indiquant le chaînage : le calque sélectionné (simple clic sur le nom) possède un chaînon rouge. Les calques associés au calque sélectionné aussi, les autres calques non associés ont un chaînon gris.
2 | Case à cocher : affiche ou masque le calque.
3 | Nom du calque. - un clic sur le nom rend ce calque actif : toutes les opérations ne concerneront que ce calque. - un double-clic permet de modifier ce nom : appuyez une fois sur la touche Entrée pour valider la modification.
4 | Case à cocher : affiche ou masque tous les textes du calque.
5 | Case à cocher : affiche ou masque tous les tracés du calque.
6 | Case à cocher : affiche le tracé avec la couleur définie en "9" ou avec la couleur générale.
7 | Zone de saisie : épaisseur uniforme des tracés d'un calque. Valeur recommandée pour la plupart des écrans : 2 permettant d'obtenir des tracés fermés à l'écran. La valeur 1 peut être utilisée si les zones à colorier sont peu nombreuses et/ou si l'écran est de qualité supérieure.
8 | Incrémenteur : pour définir une épaisseur sans saisie.
9 | Couleur des tracés : visible si la case "6" est cochée, et toujours en mode Coloriage.


MENU TRACES

Sélection de points : voir ci-dessous.
Sélection de tracés : voir ci-dessous.
Sélectionner tous les tracés s'adresse à un seul calque.
Inverser la sélection : les tracés non sélectionnés le sont, et vice-versa (même calque).
Resélectionner les derniers tracés sélectionnés. Peut être inactif si la suite des opérations effectuées rend impossible la mémorisation de la sélection.
Centrer les tracés : calcule le centre théorique de l'ensemble des tracés, et repositionne ceux-ci au centre de l'écran.
Centre aussi l'image de fond.
Pour effectuer un centrage de plusieurs calques : cochez la case "centrage de l'ensemble".
Symétrie non jointive / axe horizontal : voir ci-dessous.
Symétrie non jointive / axe vertical : voir ci-dessous.
L'inversion du sens du tracé renverse le texte. Permet de corriger le sens du texte, celui-ci s'affichant par défaut du premier point vers le dernier.
L'inversion inverse l'ordre d'enregistrement des points.
La Gestion des semés concerne la création, la modification de la répartition des semés, composés de dessins répétés en ligne et en colonnes, en quinconce ou non.
Utiliser un semé permet d'ajouter un semé au calque actif, sans possibilité de modifier le motif ni la répartition, mais avec la possibilité de définir la zone d'application du semé.
La Gestion des compositions concerne la création et la modification des compositions en ligne et en colonne crées à partir de motifs accolés, sans possibilité de les détacher.
Utiliser une composition permet d'ajouter une composition au calque actif avec la possibilité de définir la zone d'application.
Sélection de points

Permet de sélectionner un ou plusieurs points afin de les modifier, déplacer, supprimer ou transformer.
Pour sélectionner un point : cliquez sur le point (attention à ne pas le déplacer en faisant glisser le pointeur).

Pour sélectionner un ou plusieurs points : dessinez un rectangle virtuel entourant le ou les points à sélectionner :
- cliquez dans la zone de travail au coin haut et gauche de ce rectangle virtuel ;
- faites glisser le pointeur vers le coin bas et droite de ce rectangle virtuel qui est matérialisé d'un pointillé rouge ;
- relâchez le cliquet.
Les points sélectionnés sont pleins alors que les autres restent vides.
Pour sélectionner plusieurs ensembles de points, appuyez sur la touche MAJ et maintenez-la appuyée le temps de dessiner les différents rectangles de sélection ou de sélectionner chaque point.

Pour désélectionner des points sélectionnés dans un ensemble de points sélectionnés, appuyez et maintenez appuyée la touche Maj (au-dessus touche CTRL) et cliquez sur les points à désélectionner ou dessinez un cadre virtuel enveloppant ces points : ils seront supprimés de la sélection.
Sélection de tracés

Permet de sélectionner des tracés entiers comportant plusieurs segments.

Dessinez un rectangle virtuel enveloppant une partie du tracé à sélectionner :
- cliquez dans la zone de travail au coin haut et gauche de ce rectangle virtuel ;
- faites glisser le pointeur vers le coin bas et droite de ce rectangle virtuel qui est matérialisé d'un pointillé rouge ;
- relâchez le cliquet.

Les tracés dont au moins un point est contenu dans le rectangle virtuel sont sélectionnés entièrement : tous les points sont pleins.
Symétrie non jointive / axe horizontal
Symétrie non jointive / axe vertical
Crée le symétrique vertical du tracé sélectionné.
Exemple : Le tracé initial est dupliqué par symétrie verticale sans jonction des 2 tracés.
Crée le symétrique horizontal du tracé sélectionné.
Exemple : Le tracé initial est dupliqué par symétrie horizontale sans jonction des 2 tracés.


LES SEMES
Gestion des Semés
Description de la barre d'outils et d'une ligne de la liste des semés

Nouveau semé | A | Le nouveau semé sera créé à partir du calque actif. Si aucun fichier n'est ouvert, un nouveau fichier sera créé. Si le calque encours possède un tracé. Le semé utilisera le dessin de ce calque. Le dessin peut alors être transformé en Transformation libre depuis l'écran ou par Transformation paramétrée. Un calque temporaire de Prévisualisation permet de visualiser avant enregistrement le rendu du dessin avec sa répartition, en quinconce ou non, avec ou sans son coloriage (si le dessin original a déjà été colorié).
Dupliquer le semé | B | La duplication du semé permet d'en conserver un original. Le nouveau semé peut alors être modifié.
avec coloriage | C | Si le dessin utilisé pour la création du semé est colorié, le semé peut être prévisualisé colorié.
répartition par défaut | D | La répartition proposée par défaut est de 2 en largeur et 1,2 en hauteur. Si la case est cochée, les valeurs indiquées ne peuvent être modifiées. Si elles est décochée la répartition sera modifiée selon la largeur (4) et la hauteur (5) indiquées.
suppression multiple | E | Pour autoriser la sélection de plusieurs semés à supprimer.
Supprimer le(s) semé(s) | F | Pour supprimer le semé coché.
Enregistrer les semés | G | Commande disponible à tout moment. Remplace si nécessaire les semés déjà enregistrés.
Revenir au dessin | H | Masque le panneau de gestion des semés.
 | 1 | Sélection du semé. Si la case 5 est cochée (Suppression multiple) plusieurs semés peuvent être simultanément sélectionnés, sinon la sélection d'un semé désélectionne le précédent.
 | 2 | Nom du semé : zone de saisie sans restriction.
 | 3 | Quinconce : place les motifs en quinconce ou en quadrillage.
 | 4 | Répartition horizontale : zone active si la case E est cochée.
 | 5 | Répartition verticale : zone active si la case E est cochée.
Créer ou modifier un semé
CREATION
- créez un nouveau fichier : Fichier / Nouveau fichier;
- créez le tracé ou placez sur le calque le dessin du motif (extrait de la base, ou collé ou ajouté depuis un autre fichier VTG);
- effectuez toutes les transformations souhaitées;
- cliquez sur le bouton Nouveau semé : un calque de prévisualisation est automatiquement créé affichant le semé par défaut;
- décochez la case répartition par défaut pour modifier si nécessaire les valeurs proposées et augmenter ou diminuer les distances;
- modifiez de nouveau si nécessaire le dessin de la même façon qu'un dessin "transformé" par la Transformation libre ou la Transformation paramétrée : la modification sera automatiquement reportée sur tous les dessins du semé;
- cochez ou non la case Quinconce pour décaler les éléments des lignes paires.
- si le motif a été coloré, cochez la case Coloration (D) pour afficher le semé en mode réel.
- modifiez si nécessaire le nom du semé, numéroté par ordre d'ajout: cliquez sur le nom actuel, modifiez le texte.
- cliquez sur Enregistrer les semés pour ajouter le nouveau semé au fichier des Semés.

MODIFICATION - DUPLICATION
- cochez la case au droit du nom du Semé à visualiser ou à dupliquer: le semé apparaît sur le calque;
- modifiez la répartition, distances et mise en quinconce comme précédemment;
- enregistrez les semés.
Procédure d'utilisation d'un semé
- créez un nouveau fichier ou un nouveau calque devant recevoir le semé.
- affichez le panneau des Semés.
- cochez le semé à utiliser et cliquez sur le bouton C: le semé sera ajouté et délimité par un double cadre.
- modifiez si nécessaire la répartition du semé. Pour conserver le semé original, dupliquez au préalable le semé (B).
- modifiez le cadre contenant le semé : déplacez les points d'encadrement pour étirer le cadre ou le réduire.
- double-cliquez sur le calque pour ajouter définitivement le semé au calque.


LES COMPOSITIONS
Gestion des Compositions
Description de la barre d'outils et d'une ligne de la liste des compositions

Nouvelle composition | A | La nouvelle composition sera créée à partir du calque actif. Si le calque encours possède un tracé, la composition utilisera le dessin de ce calque. Le dessin peut alors être transformé en Transformation libre depuis l'écran ou par Transformation paramétrée. Un calque temporaire de Composition permet de visualiser avant enregistrement le rendu du dessin ou sans son coloriage (si le dessin original a déjà été colorié).
Dupliquer la composition | B | La duplication de la composition permet d'en conserver un original. La nouvelle composition peut alors être modifiée.
avec coloriage | C | Si le dessin utilisé pour la création de la composition est colorié, la composition peut être prévisualisée coloriée.
suppression multiple | D | Pour autoriser la sélection de plusieurs compositions à supprimer.
Supprimer composition | E | Pour supprimer la ou les compositions cochées.
Enregistrer compositions | F | Commande disponible à tout moment. Remplace si nécessaire les compositions déjà enregistrées.
Revenir au dessin | G | Masque le panneau de gestion des compositions.
 | 1 | Sélection dela composition : ajout au calque sélectionné. Si la case 5 est cochée (Suppression multiple) plusieurs compositions peuvent être simultanément sélectionnées, sinon la sélection d'une composition désélectionne la sélection précédente.
 | 2 | Nom de la composition : zone de saisie sans restriction.
Créer ou modifier une composition
CREATION
- créez un nouveau fichier : "Fichier / Nouveau fichier";
- cliquez sur le bouton 'Gestion des Compositions" avant ou après avoir dessiné ou chargé le motif de la composition;
- effectuez toutes les transformations souhaitées, mais non le coloriage;
- réafficher si nécessaire le panneau des compositions en cliquant sur le bouton Panneau des compositions du panneau d'aide.
- cliquez sur le bouton "Nouvelle composition" : un calque de prévisualisation est automatiquement créé affichant la composition par défaut;
- modifiez si nécessaire le dessin dans sa forme : Transformation libre ou Transformation paramétrée;
- modifiez si nécessaire le nom de la composition, numérotée par ordre d'ajout: cliquez sur le nom actuel, modifiez le texte;
- cliquez sur "Enregistrer les compositions" pour ajouter la nouvelle composition au fichier des Compositions.

MODIFICATION - DUPLICATION
- créez un nouveau fichier : "Fichier / Nouveau fichier";
- cliquez sur le bouton 'Gestion des Compositions";
- cochez la case à gauche du nom de la Composition à visualiser ou à dupliquer: la composition apparaît sur le calque;
- modifiez si nécessaire le dessin dans sa forme : Transformation libre ou Transformation paramétrée;
- enregistrez les compositions.
- cliquez sur "Revenir au dessin" pour sortir du mode Compositions.
Procédure d'utilisation d'une composition
Utiliser une composition
- créez un nouveau fichier ou un nouveau calque devant recevoir la composition.
- cliquez sur le bouton 'Utiliser une Composition"
- cochez la composition à utiliser: la composition sera ajoutée et délimité par un double cadre avec des poignées de redimensionnement aux 4 coins .
- modifiez le cadre contenant la composition : déplacez les poignées.
- double-cliquez sur le calque pour ajouter définitivement lacomposition au calque.
- cliquez sur "Revenir au dessin" pour sortir du mode Compositions.


MENU CREATION
Les explications pour les commandes d'inflexion sont accessibles en cliquant sur le nom de la commande.
Créer les points

Les courbes de Bézier sont constituées de points entre lesquels sont dessinées des segments droits ou courbes selon la position des deux poignées accompagnant chaque point.
Un clic sans glissement du pointeur créera un point rattaché au précédent par une droite.
Un clic avec glissement créera un point et fera apparaître deux poignées.
La droite passant par le point et une poignée est la tangente à la courbe en ce point. En plaçant un second point, une courbe sera dessinée tangente à cette droite entre les deux points.
La construction se fait donc par segments de courbe : l'utilisation des tangentes permet d'obtenir des courbes ondulant sans perte d'harmonie.

Il est possible de "casser" cette harmonie : voir l'outil Inflexion dissymétrique.

Outil de création de point / Exemple de construction
Attention : pour que le glissement puisse être utilisé, la case à cocher Glissement de la barre d'état doit être cochée.

Cliquez sur la zone de travail, maintenez le cliquet appuyé et faites glisser le curseur vers le bas, légèrement vers la droite : le point et ses poignées apparaissent : le point est l'endroit où vous avez cliqué, les deux poignées sont les deux ronds placés symétriquement de part et d'autre du point.

Les deux segments placés de part et d'autre du point représentent les tangentes des demi-courbes dont l'une va être définie par le prochain point.

Lorsque vous relâchez le cliquet, le dessin doit se présenter ainsi :
Cliquez légèrement à droite de l'écran et faites glisser le curseur appuyé vers le haut légèrement vers la droite.

Une courbe relie les deux points et est tangente aux deux segments représentant les tangentes, l'un attaché au point précédent (invisible ici), l'autre reliant le point à la poignée inférieure.
Cliquez au-dessus et faites glisser vers la gauche : en maintenant la touche MAJ appuyée lors du glissement, le nouveau et ses poignées restent alignés horizontalement.
Appuyez et maintenez la touche CTRL appuyée (le curseur prend la forme de la flèche blanche de sélection de points) et cliquez dans la zone de travail, hors du dessin.

Le tracé est considéré comme terminé, les poignées et les segments disparaissent.
Outil de fermeture de tracé.
La fermeture d'une courbe s'utilise lorsque la courbe doit être utilisée ultérieurement comme une zone de remplissage, ou quand la forme est naturellement fermée : le cercle (ou disque) par exemple.

La fermeture d'une courbe peut se faire lors de la création de la courbe, ou ultérieurement en utilisant le pointeur de création et en cliquant sur le premier puis le dernier point de la courbe.

Il est possible aussi avec le pointeur de création de double-cliquer sur le premier point de la courbe, la fermeture sera automatique.
Relevez la touche CTRL, le curseur reprend la forme de création de point.

Placez le pointeur sur le dernier point : le curseur prend la forme de l'outil de fermeture (ou liaison) : stylet + double disque à la pointe.

Cliquez sur ce point, puis cliquez sur le premier point : le tracé est fermé.
Ajouter un point
Afin de sécuriser l'ajout, le segment pour lequel un point doit être ajouté est sélectionné.
Ayant pris la couleur vert, un clic sur ce segment ajoutera un point à l'endroit du clic.
Procédure :
- appuyez sur la touche CTRL et positionnez le pointeur au-dessus du segment concerné : le pointeur change de forme.
- cliquez pour sélectionner le segment qui change de couleur : vert clair.
Cliquez sur le segment pour ajouter un point.

Le point ajouté ne modifie pas l'aspect de la courbe, les tangentes étant automatiquement recalculées pour les deux extrémités du segment et le point ajouté.
Supprimer un point
Afin de sécuriser la suppression, le segment pour lequel un point doit être ôté est sélectionné.
Ayant pris la couleur vert, un clic sur ce point l'enlèvera de la courbe.

Procédure :
- appuyez sur la touche CTRL et positionnez le pointeur au-dessus de la courbe concernée : le pointeur change de forme.
- cliquez pour sélectionner la courbe qui change de couleur : vert clair.
- cliquez sur le point à supprimer.
Symétrie jointive / axe horizontal
Prolonge le tracé sélectionné en créant son symétrique vertical et en l'unissant au tracé par son dernier point.
Exemple : Le tracé initial est prolongé par symétrie verticale.
Symétrie jointive / axe vertical
Prolonge le tracé sélectionné en créant son symétrique horizontal et en l'unissant au tracé par son dernier point.
Exemple : Le tracé initial est prolongé par symétrie horizontale.


MENU DESSIN
Inflexion symétrique

Modifie la position des deux poignées associées à un point. Les poignées sont créées lors de la création du point et correspondent aux 2 demies-tangentes à ce point. | En cliquant sur la courbe, les poignées des deux points placés à l'extrémité du segment apparaissent.
 | Exemple de déplacement d'une seule poignée : distance plus grande pour l'une des poignées.
Cet outil permet de modifier la pente des deux demies-tangentes et leur importance sur la courbe. Plus une poignée sera éloignée de son point, plus la courbe sera tangente à la demie-droite. Avec une longueur nulle (poignée confondue avec le point) la courbe sera cassée et se dirigera directement vers le point suivant. Cet outil conserve la même pente aux deux demies-tangentes. En cliquant et en faisant glisser une poignée, l'autre poignée restera symétrique (pour l'angle) par rapport au point mais sans que sa distance d'avec ce point ne soit augmentée. En cliquant sur le point, les deux poignées sont initialisées et elles seront symétriques, angles et longueurs identiques lorsque le glissement aura lieu. |


MENU DESSIN
Inflexion dissymétrique
Cet outil permet de modifier la pente d'une des deux demies-tangentes et son importance sur la courbe.
Plus une poignée sera éloignée de son point, plus la courbe sera tangente à la demie-droite.
Avec une longueur nulle (poignée confondue avec le point) la courbe sera cassée et se dirigera directement vers le point suivant.

Permet de déplacer une poignée sans changer la position de l'autre, c'est-à-dire que la courbe est cassée à ce point.
- cliquez sur la courbe pour faire apparaître les poignées du point que vous souhaitez modifier;
- cliquez et faites glisser la poignée;
- relâchez le cliquet.

La courbe rouge est la courbe modifiée.


MENU DESSIN

Les explications pour chacune des commandes de ce menu sont accessibles en cliquant sur le nom de la commande.


MENU DESSIN
Réunion de tracés

Réunit deux tracés distincts.

A la différence de l'outil de création de point, cet outil ne peut réunir que deux points appartenant à des tracés distincts. Son utilisation s'avère utile si l'on ne souhaite pas fermer un tracé (l'outil de création de point peut relier les deux extrémités d'un même tracé et de ce fait le "fermer").
- cliquez sur l'une des extrémités du premier tracé;
- cliquez ensuite sur l'une des extrémités de l'autre tracé.
Les deux tracés sont réunis, le nouveau segment prend en compte les 2 demies-tangentes des deux points reliés.


MENU DESSIN
Scinder le tracé

Scinde le tracé en deux tracés en conservant pour les deux tracés obtenus le point de scission.

Procédure :

- appuyez sur la touche CTRL et positionnez le pointeur au-dessus de la courbe concernée : le pointeur change de forme.
- cliquez pour sélectionner la courbe concernée qui change de couleur : vert clair.
- cliquez sur le point de scission : le tracé est scindé en deux tracés indépendants.


MENU DESSIN
Découper le tracé

Découpe le tracé en deux tracés.

Lors d'un clic sur la courbe sélectionnée, le segment est scindé à l'emplacement du clic : deux points sont créés appartenant chacun à l'un des deux nouveaux segments.
S'il s'agit d'une courbe fermée (les deux points de début et de fin existent mais sont confondus), la coupure générera une nouvelle disposition : les points créés par la coupure deviendront les points de début et de fin du tracé, ceux d'origine seront réunis en un seul point placé dans le tracé, le tracé ne sera plus considéré comme "fermé".
Exemple :

1 Dessin composé de deux cercles fermés se chevauchant. | 2 Procédure : - appuyez sur la touche CTRL et positionnez le pointeur au-dessus du segment concerné : le pointeur change de forme. - cliquez pour sélectionner le segment qui change de couleur : vert clair.
3 - relâchez la touche CTRL; - placez le pointeur sur la courbe, à l'emplacement du point de découpe : le pointeur change de forme; - cliquez : le tracé est coupé. (Pour le vérifier : choisissez l'outil de sélection de points, cliquez sur le nouveau point et déplacez le point: l'autre point apparaît). | 4 - répétez les opérations sur le segment inférieur : CTRL + clic sur le segment.
5 - cliquez à l'emplacement du point à ajouter : le tracé est coupé. | 6 Vous pouvez déplacer la partie gauche avec l'outil de sélection de tracés.


MENU DESSIN
Souder deux tracés

Permet de réunir deux tracés dont deux de leurs extrémités se chevauchent.

En ayant placé les deux extrémités au même emplacement, un clic réunit les deux tracés : l'opération conserve la tangente de chaque tracé.
Nota : pour s'assurer du chevauchement des deux points, vous pouvez utiliser l'outil de coordination de points.
- rapprochez les deux tracés afin que leurs extrémités se confondent.

- cliquez à l'emplacement des deux points : les deux tracés sont réunis par le point commun. Les tangentes sont conservées.

Attention : il s'agit maintenant d'un même tracé : si deux textes existaient sur ces deux tracés, seul l'un des deux sera conservé (selon le sens des tracés).


MENU DESSIN
Soudure automatique

Effectue la soudure pour tous les tracés susceptibles d'être réunis.

Si une partie des tracés a été sélectionnée au préalable, la soudure automatique ne s'effectuera que pour les points sélectionnés.

Tous les tracés sont analysés et s'il existe des points de mêmes coordonnées par lesquels deux tracés peuvent être réunis, la soudure est effectuée.

Attention : la soudure automatique peut engendrer des effets "indésirables" à certains points du fait qu'aux extrémités d'un tracé, seul compte la demi-tangente tournée vers la courbe, l'autre demie-tangente n'agit pas puisqu'il n'y a pas de point au-delà. Lors de la réunion avec un autre tracé, cette demie-tangente peut agir sur le nouveau segment et donner une courbure non souhaitée.


MENU DESSIN
Initialiser un point ou des points sélectionnés

Place les deux poignées aux mêmes coordonnées que les points : les courbes passant par ces points ne sont donc plus influencées par les demies-tangentes associées aux poignées.

Pour réaliser un dessin géométrique ou des lignes droites relient certains points, il est utile de ne pas donner de courbure au tracé initialement.

Si la création n'a pas été réalisée en décochant la case Glissement, utilisez cet outil pour initialiser a posteriori les points pour lesquels il ne doit pas y avoir de courbure.

Si plusieurs points sont sélectionnés, un clic sur le bouton initialisera chacun des points sans qu'il soit nécessaire de cliquer sur chacun de ces points.


MENU DESSIN
Initialiser une poignée

Place la poignée aux mêmes coordonnées que son point d'attache : la demie-courbe passant par ce point et guidée par la demie-tangente associée à la poignée ne sera donc plus influencée par la demie-tangente réduite à zéro.

Pour réaliser un dessin géométrique ou des lignes droites relient certains points, il est utile de ne pas donner de courbure au tracé initialement.

Si la création n'a pas été réalisée en décochant la case Glissement, utilisez cet outil pour initialiser a posteriori les poignées pour lesquels il ne doit pas y avoir de courbure.

Procédure :
- appuyez sur la touche CTRL et positionnez le pointeur au-dessus de la courbe concernée : le pointeur change de forme.
- cliquez pour sélectionner la courbe qui change de couleur : vert clair, les poignées apparaissent en rouge.
- cliquez sur la poignée pour l'initialiser.


MENU DESSIN
Coordonner des points

Place les points sélectionnés à la même position en conservant les angles des tangentes.

Pour réaliser un dessin qui sera coloré , il est nécessaire que le contour soit hermétique : il ne doit pas y avoir de "fuite" lors du remplissage avec la couleur.

Procédure pour coordonner des points sur un point moyen :
- choisissez Dessin / Coordonner les points ou cliquez sur le bouton de la barre d'outils correspondant : celui-ci reste "appuyé".
- sélectionnez les points à coordonner en créant un rectangle de sélection autour de ces points;
- relâchez le pointeur : les points ont maintenant les mêmes caractéristiques basées sur les moyennes des abcisses (x) et des ordonnées (y) des points sélectionnés.
- sélectionnez les points suivants, puis lâchez le cliquet, autant de fois que nécessaire.
Pour interrompre l'utilisation de cet outil : cliquez sur le bouton de la barre d'outils : le bouton reprend son aspect initial.

Procédure pour coordonner des points sur un point d'un calque associé :
- associez au calque à modifier le calque contenant les points devant servir de point d'attache;
- choisissez Dessin / Coordonner les points ou cliquez sur le bouton de la barre d'outils correspondant : celui-ci reste "appuyé".
- sélectionnez les points à coordonner placés près d'un point du calque associé en créant un rectangle de sélection autour de ces points;
- relâchez le pointeur : les points ont maintenant les mêmes caractéristiques que le point du calque associé;
- sélectionnez les points suivants, puis lâchez le cliquet, autant de fois que nécessaire.
Pour interrompre l'utilisation de cet outil : cliquez sur le bouton de la barre d'outils : le bouton reprend son aspect initial.
Cette procédure permet de coordonner des points en prévision d'une fusion par exemple. Cela permet de positionner des points sans risquer de déplacer les points du calque d'origine.

Peut être utilisé en prévision d'une soudure de deux tracés.
Cet outil permet de "colmater" les trous pouvant être créés lors du positionnement d'un point d'un nouveau segment sur un point existant : l'ajustement des points est ainsi automatisé.


MENU DESSIN
Ajuster le positionnement

Place les points sur les segments les plus proches.

Pour réaliser un dessin qui sera coloré , il est nécessaire que le contour soit hermétique : il ne doit pas y avoir de "fuite" lors du remplissage avec la couleur.

Procédure :
- choisissez l'outil de Sélection de points;
- sélectionnez les points à coordonner;
- choisissez Dessin / Ajuster le positionnement ou cliquez sur le bouton de la barre d'outils correspondant.

L'ajustement horizontal ajuste la position des points en suivant une ligne horizontale (projection horizontale).
L'ajustement vertical ajuste la position des points en suivant une ligne verticale (projection verticale).
Ces outils permettent de "colmater" les trous pouvant être créés lors du positionnement d'un point jointif d'un segment : l'ajustement des points est ainsi automatisé.
Dans l'onglet Transformation :

Ajustement même tracé

Lors de l'ajustement des points, la case cochée indiquera que le point peut être rapproché de la courbe le supportant, dans le cas par exemple d'une boucle. Dans ce cas, l'approche pourra se faire en plusieurs fois afin que le point ne se rapproche pas de lui-même.
Si la case n'est pas cochée les points sélectionnés se colleront à la courbe la plus proche, la distance étant minimale, mais pas de la courbe contenant le point.


MENU TRANSFORMATIONS
Les explications pour chacune des commandes de ce menu sont accessibles en cliquant sur le nom de la commande.

Retournement / axe horizontal | Retournement / axe vertical
Retourne le tracé sélectionnée de haut en bas. Exemple : Le tracé doit au préalable être sélectionné avec l'outil de sélection de tracés. Cet exemple montre un retournement horizontal (pas de duplication). | Retourne le tracé sélectionné de gauche vers droite. Exemple : Le tracé doit au préalable être sélectionné avec l'outil de sélection de tracés. Cet exemple montre un retournement vertical (pas de duplication).
Pivotement droite de 90° | Pivotement gauche de 90°
Pivote le tracé sélectionné de 90° vers la droite. Exemple : Cet exemple montre un pivotement en sens horaire de 90° (pas de duplication). Le tracé doit au préalable être sélectionné avec l'outil de sélection de tracés. | Pivote le tracé sélectionné de 90° vers la gauche. Exemple : Cet exemple montre un pivotement en sens horaire inversé de 90° (pas de duplication). Le tracé doit au préalable être sélectionné avec l'outil de sélection de tracés.


MENU TRANSFORMATIONS
Transformation libre complexe

Encadre la sélection d'un rectangle de pointillés rouges.
Les coins et les milieux des côtés sont les poignées qui peuvent être déplacées afin de redimensionner la sélection.
Le centre de la sélection est matérialisé par un point.

Double-cliquez sur l'image lorsque vous avez terminé les transformations, pour les valider.
Dimensionnement simple
Cliquez sur l'une des 8 poignées et faites glisser le pointeur pour augmenter ou diminuer les dimensions de la sélection.

ALT + coin / ALT + côté ----- Dimensionnement accompagné
Appuyez et maintenez appuyée l'une ou plusieurs des touches suivantes :
- touche ALT : pour redimensionner symétriquement la sélection par rapport au point central;
- touche MAJ : pour maintenir les proportions lors du redimensionnement;
- touches ALT et MAJ : pour cumuler les deux accompagnements précédents.

MAJ+coin : proportions conservées | ALT+coin : déplacement libre, déplacement symétrique du coin opposé, cadre conservé

ALT+côté : déplacement libre, déplacement symétrique du côté opposé | CTRL+coin : déplacement du coin uniquement

CTRL+côté : déplacement du côté uniquement | ALT+MAJ+coin : déplacement symétrique inverse coin opposé, cadre et proportions conservées

CTRL+MAJ+coin : déplacement du coin sur l'un des axes des côtés, selon le sens du déplacement du pointeur | CTRL+MAJ+côté : déplacement du côté sur l'axe portant le côté

CTRL+ALT+coin : déplacement libre du coin, déplacement symétrique inverse du coin opposé, les deux autres coins fixes | CTRL+ALT+côté : déplacement libre du côté, déplacement symétrique inverse du côté opposé

CTRL+ALT+MAJ+coin : déplacement sur l'axe portant le côté, déplacement symétrique inverse sur ce même axe de l'autre coin du côté | CTRL+ALT+MAJ+côté : déplacement sur l'axe portant le côté, déplacement symétrique de l'autre côté sur son axe

Rotation simple | MAJ ----- Rotation accompagnée
Placez le pointeur à l'extérieur du rectangle : le pointeur prend la forme d'une double-flèche adaptée à la position du pointeur par rapport à la sélection. Cliquez, maintenez le cliquet appuyé et faites glisser autour du centre : la sélection pivote. | Appuyez et maintenez appuyée la touche MAJ. Placez le pointeur à l'extérieur du rectangle. Cliquez, maintenez le cliquet appuyé et faites glisser autour du centre : la sélection pivote par palier de 22,5°.
Rotation avec centre déplacé
Placez le pointeur sur le point central. Lorsque la forme change, cliquez sur le point et déplacez-le.
Effectuez une rotation : celle-ci se fera autour de la nouvelle position du point central.


MENU TRANSFORMATIONS
Transformation paramétrée
Affiche une boîte de saisie permettant de taper les valeurs des différentes rubriques de modification de l’image: position, déplacement, taille, angle de rotation.

Cochez la case à cocher correspondant à la rubrique que vous souhaitez utiliser.
Une ou plusieurs rubriques sont alors désactivées d'office afin d'éviter une confusion dans la transformation générée par des paramètres pouvant interférer entre eux.

La transformation paramétrée est aussi utilisée pour un groupe de calques associés et pour l'ensemble des calques.
Il suffit de cocher au préalable la case indiquant que l'on veut travailler avec les calques associés ou l'ensemble des calques.

Alignements et Espacements

Affiche l'onglet Dispositions permettant d'aligner les points indépendants ou appartenant aux mêmes tracés.
Sélectionnez les points avec la flèche simple (blanche) ou la flèche noire (tracés).
Alignement simple

Projection / Horiz. : les points sélectionnés seront alignés sur une ligne horizontale passant par le premier point sélectionné.
Projection / Vertic. : les points sélectionnés seront alignés sur une ligne verticale passant par le premier point sélectionné.
Projection / Incliné / Horiz. : les points sélectionnés seront alignés sur une droite passant par le premier et le dernier points sélectionnés avec une projection horizontale.
Projection / Incliné / Perpend. : les points sélectionnés seront alignés sur une droite passant par le premier et le dernier points sélectionnés avec une projection perpendiculaire.
Projection / Incliné / Vertic. : les points sélectionnés seront alignés sur une droite passant par le premier et le dernier points sélectionnés avec une projection verticale.
Alignement et Espacement

Horiz. : les points sélectionnés seront alignés sur une droite passant par le premier et le dernier points sélectionnés avec une projection horizontale et l'espacement entre les points sera identique.
Perpend. : les points sélectionnés seront alignés sur une droite passant par le premier et le dernier points sélectionnés avec une projection perpendiculaire et l'espacement entre les points sera identique.
Vertic. : les points sélectionnés seront alignés sur une droite passant par le premier et le dernier points sélectionnés avec une projection verticale et l'espacement entre les points sera identique.
Position des points

Permet de placer le point sélectionné à un emplacement précis.
Les coordonnées du point et de ses poignées peuvent être modifier ici.
Si la case déplacement identique des poignées est cochée, seul les coordonnées du point sont à renseigner, celles des poignées seront calculées en fonction du décalage du point.
Ajustement même tracé

Lors de l'ajustement des points, la case cochée indiquera que le point peut être rapproché de la courbe le supportant, dans le cas par exemple d'une boucle. Dans ce cas, l'approche pourra se faire en plusieurs fois afin que le point ne se rapproche pas de lui-même.
Si la case n'est pas cochée les points sélectionnés se colleront à la courbe la plus proche, la distance étant minimale.


MENU POSITION POINTS

Placement des points : affiche le panneau des boutons de positionnement des points.

Les commandes Projection permettent d'effectuer des alignements des points sélectionnés, appartenant à une ou plusieurs courbes, ou les points d'un ou plusieurs tracés sélectionnés.

Pour forcer l'alignement sur la position d'un point, sélectionner ce point seul, puis ajouter les autres points à la sélection en utilisant la touche MAJ.
Pour une projection horizontale, tous les points seront alignés sur la ligne horizontale passant par ce premier point.
Pour une projection verticale, tous les points seront alignés sur la ligne verticale passant par ce premier point.

Pour forcer l'alignement incliné sur la position de deux points, sélectionner le premier point de référence seul, puis ajouter les autres points à la sélection puis terminer en sélectionnant le dernier point (second point de référence) : tous les points seront alignés sur la ligne passant par ces deux points.

Les 3 dernières commandes alignent les points comme les commandes précédentes en égalisant la distance entre les points.

Lorsqu'un point est sélectionné, cette zone affiche la position exacte du point et de ses poignées.
Si la case "déplacement identique des poignées" est sélectionnée, les poignées suivront le point, sinon il faudra aussi définir si nécessaire la position des poignées.

L'ajustement même tracé permet de prendre en compte ou non la courbe soutenant le point à coller sur la courbe la plus proche.

Si le point sélectionné correspond aux points de début et de fin du tracé, les deux points seront déplacés simultanément.


MENU POSITION CALQUES
Panneau des positionnements : affiche le panneau des boutons de positionnement des calques correspondants aux 12 dernières du menu.
Positionnement proportionnel : permet de déplacer un ensemble de calques en conservant un positionnement proportionnel à leurs positions de départ. Voir ci-dessous un exemple.
Les 6 premières commandes permettent d'effectuer des alignements des calques associés comme représenté sur chaque dessin accompagnant la commande.
Les 6 dernières commandes permettent d'effectuer des espacements réguliers pour les calques associés, sans toucher à leurs alignements.
Positionnement proportionnel - Exemple :


MENU AFFICHAGE
Les explications pour les commandes non commentées sont accessibles en cliquant sur le nom de la commande.

Afficher / Masquer les options | Affiche ou masque le panneau comportant les différentes zones d'options : gestion des fichiers, mise en forme, préférences, etc.
Afficher/ Masquer les Guides | Affiche plusieurs onglets permettant d'accéder rapidement à des explications sur les Outils, les Raccourcis-clavier, les manipulations pour transformer un tracé ainsi que sur les fonctions les plus courantes.
Afficher le panneau Texte | Pour ajouter du texte et le mettre en forme.
Textes d'accompagnement | Affiche ou masque 3 zones de textes permettant de mémoriser toute information liée au dessin.
Dossiers de dessins | Affiche l'onglet des dessins rangés par dossiers et sous-dossiers. Sélectionnez le dossier puis le sous-dossier pour afficher son contenu. L'accès aux images peut se faire aussi par la recherche dans la zone de saisie et/ou la liste déroulante placée en haut de l'onglet. Une fois le sous-dossier affiché, double-cliquez sur le dessin à ajouter. Si la case à cocher ajout / calque sélectionné est cochée le dessin est ajouté sur le calque en cours et le dessin est placé en mode Transformation pour pouvoir le déplacer facilement. Si la case à cocher ajout / calque sélectionné est décochée le dessin est ajouté sur un nouveau calque.
Afficher la barre d’outils principale | Affiche ou masque la barre d’outils placée en haut de la fenêtre. Son affichage peut être paramétré dans l'écran des Préférences.
Afficher la barre d’outils annexe | Affiche ou masque la barre d’outils placée au-dessus des onglets, côté gauche de la fenêtre. Son affichage peut être paramétré dans l'écran des Préférences.
Afficher la grille | Affiche ou masque la grille : fonction présente aussi dans la barre d'état (partie basse de la fenêtre) sous forme d'une case à cocher.
Langage | Affiche le panneau permettant de sélectionner la langue utilisée pour les commandes.


MENU AFFICHAGE
Afficher les options de mise en forme des textes

Chaque courbe peut être le support d'un texte, indépendamment qu'elle soit ou non destinée à être utilisée comme dessin d'un tracé.

Pour définir les caractéristiques du texte, le tracé doit être sélectionné avec la flèche noire : Sélection de tracés.
Pour afficher le texte : le bouton Afficher / Masquer les textes doit être enfoncé (grisé).

Pour attribuer un texte au tracé, au choix :
- tapez-le dans la zone de saisie;
- sélectionnez-le dans votre liste (1ère liste déroulante);
- sélectionnez-le dans la liste des devises.
Après sélection, cliquez sur le bouton Utiliser le texte sélectionné de la liste concernée.

Pour ajouter un texte à votre liste :
- tapez-le dans la zone de saisie;
- cliquez sur le bouton Ajouter le texte à la liste.

Pour supprimer un texte de votre liste :
- sélectionnez-le dans la liste;
- cliquez sur le bouton Supprimer le texte de la liste.

Pour appliquer la même mise en forme à tous les textes du fichier VTG :
- sélectionnez le tracé ayant la mise en forme à utiliser.
- cochez la case : après validation, les textes de tous les tracés auront la même mise en forme.

Si la case est décochée, chaque texte peut avoir une mise en forme particulière.

Choisissez la Police, sa taille et sa couleur en cliquant sur le rectangle.

Choisissez si nécessaire une largeur différente de celle par défaut obtenue avec la valeur 0.

Pour le gras la valeur 400 détermine un texte non gras. Augmentez ou diminuez cette valeur pour obtenir un texte + ou - gras.

En cochant la case transp la couleur de la police est remplacée par la transparence : les caractères servent de "pochoirs" pour visualiser le calque placé en arrière-plan.
Cet effet n'est perçu qu'en coloriage ou dans le dessin obtenu avant impression ou enregistrement dans un format JPG et autres.

Vous pouvez remplacer la couleur de la police par un motif :
- cochez la case motif;
- choisissez un des motifs prédéfinis dans la liste déroulante.

Pour définir une bordure aux caractères : choisissez la largeur et la couleur.

Choisissez l'alignement du texte pour le tracé sélectionné : à gauche, centré ou à droite.

Pour définir la marge gauche :
- cochez la case marge gauche;
- choisissez une valeur : de 1 à 500.

Pour définir la position sur la courbe :
- cochez la case correspondant à la position souhaitée.
* haute : les lettres seront posées sur la courbe;
* centrée : elles seront placées à mi-hauteur;
- basse : elles seront placées juste au-dessous de la courbe.

L'orientation angle / segment définit l'angle naturel du texte par rapport à la courbe.
Le texte suit la courbe puis est incliné de l'angle défini.

L'angle fixe incline le texte d'une façon uniforme sur tout le tracé.

L'approche définit l'espacement entre les caractères.
L'approche par défaut est obtenue en indiquant 0.

L'espace est la distance entre les mots.
Pour utiliser l'espace par défaut laissez décochée la case espaces.


MENU AIDE

Rubriques | Affiche ce fichier ou vous trouverez des explications sur chaque fonction.
Exercices | Ouvre le fichier d'aide consacré aux exercices.
A propos | Affiche l’écran A propos: informations, mémoires et clé d'accès.


PRINCIPE

Créer des dessins grâce aux courbes de Bézier, qui se comporteront comme des fichiers vectoriels pour ce qui est de leurs avantages : aucune perte de qualité après transformation (réduction, agrandissement, déformation, pivotement), et éviteront leur inconvénient majeur : une courbe par élément.

A partir de la version 6, chaque fichier VTG est constitué d'un ou plusieurs calques (sans limite).

Chaque calque comporte un ou plusieurs points, reliés ou non entre eux par des courbes appelées segments. Un point peut être isolé, comme par exemple dans la création d'un "pointillé".

Un calque peut comporter plusieurs tracés (ensemble de courbes). Ils auront tous l'épaisseur et la coloration choisie pour le calque. Pour obtenir des traits d'épaisseur et de couleur différentes, il suffit de placer les dessins sur différents calques.

Un tracé peut être ouvert (point isolé ou courbe) ou fermé (le dernier point venant recouvrir le premier point, la fermeture est automatique).

L'ensemble des tracés d'un calque est contenu dans un cadre "virtuel". Ce cadre délimite deux zones : à l'intérieur du cadre et hors cadre. Ces deux zones peuvent recevoir des couleurs. La zone hors cadre peut être coloriée ou transparente. Le coloriage à l'intérieur du cadre dépend des tracés fermés ou ouverts. Un tracé fermé peut donc recevoir deux couleurs, à l'intérieur et à l'extérieur du tracé.

Un ensemble de tracés peut aussi générer des zones "fermées" qui pourront recevoir leur propres couleurs.

Ils serviront aussi de supports à des textes que l'on pourra ajouter à partir d'une base de "Textes" ou saisis directement dans la zone prévue à cet effet.
Utilisation 1 : création d'un tracé en vue d'utiliser son dessin

CREATION DU TRACE

Fichier / Nouveau dessin (.vtg) : la zone de travail n'est pas encore enregistrée, elle ne pourra l'être que lorsque la zone de travail comportera au moins un point.

Cliquez sur le bouton de Création de point puis cliquez aux points numérotés en rouge et en faisant glisser jusqu'aux points numérotées en vert pour créer les courbes.

Cliquez sur le bouton de Sélection de points puis cliquez dans la zone de travail pour arrêter la création.

COLORIAGE DU TRACE

Cochez la case Tracés coloriés du calque, choisissez l'épaisseur du trait et sa couleur.

Choisissez l'une des commandes Import / Export / Enregistrer l'image pour voir le dessin obtenu.
Une zone de contour est proposée par défaut de 10 pixels blanche. Il est possible de choisir la largeur et la couleur de ce cadre.
Utilisation 2 : création d'un tracé à partir d'une image en vue d'utiliser son dessin

UTILISATION D'UNE IMAGE DE FOND

Choisissez la commande Import / Export / Ajouter une image de fond.
Cette image est centrée par défaut : utilisez l'outil "Main" pour la déplacer.
La création du dessin correspond alors à créer des courbes au-dessus des contours du dessin. Ici, les tracés ont été coloriés en vert clair pour pouvoir être travaillés sur un contour noir.

Un détail du tracé du lion.
Utilisation 3 : création d'un tracé en vue d'utiliser le dessin du texte supporté

TEXTE Création du tracé. | Attribution d'un texte au tracé et modification des caractéristiques.


PROCEDURE POUR CREER UN BLASON
Ajout des éléments du blason

1) Créez un nouveau fichier et choisissez dans la liste Héraldique / Ecus une forme d'écu.
2) Modifiez le zoom afin de visualiser la forme dans son entier, cela évitera des déplacements inutiles pour les dessins.

3) Ajoutez un champ vierge : Héraldique / Partitions / Divers / 1er dessin ou une partition à choisir dans les sous-dossiers des Partitions.
4) Ajoutez si nécessaire les pièces à choisir dans les sous-dossiers des Pièces. Ici : une Bande (Héraldique / Partitions / Bandes).
5) Ajoutez si nécessaire les Meubles à choisir dans les sous-dossiers des sous-dossiers de Meubles. Ici : un Lion (Meubles / Animaux terrestres / Lions - partie 1), une Etoile (Meubles / Nature / Etoiles) et une Clé (Meubles / Portes / Clés).
Chaque dessin est placé sur un calque indépendant.
Mise à l'échelle des éléments

La clé
6) Cliquez sur le nom du calque Clé.
7) Sélectionnez tous les tracés : Tracés / Sélectionner tous les tracés.
8) Choisissez la commande Transformations / Transformation libre.
9) Appuyez sur la touche MAJ (afin de conserver les proportions), cliquez sur l'un des coins du rectangle rouge, maintenez le cliquet appuyé et faites glisser le pointeur afin de redimensionner la clé à la mesure de la bande.
10) Relâchez le cliquet. Cliquez en dehors du rectangle, maintenez le cliquet appuyé et faites glisser le pointeur afin de faire pivoter la clé.
11) Relâchez le cliquet. Cliquez dans le rectangle, maintenez le cliquet appuyé et faites glisser le pointeur afin de placer la clé au centre de la bande.
12) Double-cliquez dans l'écran afin de valider la transformation de la clé.

Le lion
13) Cliquez sur le nom du calque Lion.
14) Sélectionnez tous les tracés : Tracés / Sélectionner tous les tracés.
15) Choisissez la commande Transformations / Transformation libre.
16) Appuyez sur la touche MAJ (afin de conserver les proportions), cliquez sur l'un des coins du rectangle rouge, maintenez le cliquet appuyé et faites glisser le pointeur afin de redimensionner le lion à la mesure de la zone inférieure placée sous la bande. Déplacez et redimensionnez si nécessaire.
17) Double-cliquez dans l'écran afin de valider la transformation du lion.

L'étoile
18) Cliquez sur le nom du calque Etoile.
19) Sélectionnez tous les tracés : Tracés / Sélectionner tous les tracés.
20) Choisissez la commande Transformations / Transformation libre.
21) Déplacez le dessin dans la zone placée en haut de la bande.
22) Double-cliquez dans l'écran afin de valider la transformation de l'étoile.
Enregistrement
23) Choisissez Fichier / Enregistrer le dessin (vtg).
24) Tapez le nom Blason 1er et validez.
Coloriage des éléments

25) Sélectionnez le calque de la forme d'écu et choisissez Calques / Placer au premier plan. Répétez l'opération afin de placer l'écu en haut de la liste des calques.
26) Choisissez Import / Export / Zonage et Coloriage.
Les dessins sont pré-coloriés. La transformation d'un dessin peut entraîner un nouveau zonage. Il est donc parfois nécessaire de redéfinir les zones opaques et transparentes.

Sélectionnez le calque à colorier.

Pour colorier un dessin uniformément selon la couleur prédéfinie :
- choisissez la couleur;
- cochez la case appliquer à toutes les zones de même couleur ou type et cliquez sur une des zones déjà coloriées.

Pour rendre transparente une zone particulière :
- décochez si nécessaire les cases appliquer à toutes les zones opaques et appliquer à toutes les zones de même couleur ou type.
- cliquez sur le damier de la Transparence.
- cliquez que la zone à rendre transparente.

Pour colorier une seule zone à la fois :
- décochez si nécessaire les cases appliquer à toutes les zones opaques et appliquer à toutes les zones de même couleur ou type.
- cliquez sur la couleur choisie.
- cliquez que la zone à colorier.

Pour encadrer le blason :
- sélectionnez le calque contenant la forme d'écu.
- cliquez sur le rectangle blanc de l'Opacité.
- décochez si nécessaire les cases appliquer à toutes les zones opaques et appliquer à toutes les zones de même couleur ou type.
- cliquez en dehors de l'écu.

Pour modifier les contours des éléments : couleur et épaisseur du trait :
- sélectionnez le calque à modifier.
- épaisseur : augmentez ou diminuez la valeur de l'épaisseur des tracés : case et incrémenteur placés à droite du nom du calque.
- couleur : cliquez sur le carré placé à droite de l'incrémenteur de l'épaisseur, choisissez la couleur

Pour visualiser l'effet rendu sans quitter le Coloriage : décochez la case contours grisés / autres calques.
Pour déplacer les calques dans l'écran : utilisez la double-flèche.
Pour modifier l'ordre des calques : utilisez les boutons Placer au premier plan et Placer en arrière-plan.

Enregistrement et aperçu
27) Cliquez sur Revenir au dessin.
28) Choisissez Fichier / Enregistrer le dessin (vtg).
29) Choisissez Import / Export / Enregistrer l'image.
30) Modifiez si nécessaire les caractéristiques en sortie de l'image : format, dimensions.
31) Modifiez si nécessaire le cadre proposé par défaut : dimension et couleur.
32) Cliquez sur Enregistrer puis sur Revenir au dessin.
33) Choisissez Fichier / Fermer puis valider l'enregistrement.


LECYGN - Copyright HERALOGIC
Version 7

Drawing software (Bézier curves): has many tools for drawing drawings. Each trace has curves made up of several segments. Each segment is straight or curved. The curvature of a segment depends on the tangents at its ends. A drawing is merely a list of coordinates, and can therefore be reproduced without limitation of size or alteration.

Any transformation, enlargement, rotation, deformation, does not modify the quality of the drawing, recreated with each modification. Tools allow you to create, delete, and add points and place the half-tangents (modification of the curvatures at each point). Other tools allow duplication, horizontal or vertical copying, cutting segments, welding of two plots, regular alignment and spacing of points. The software is provided with a base of drawings that can serve as models.

These curves can also be used to support undulating texts, many parameters allow to modify the characters (size, width, color, border, fill), their arrangement in the sentence (spacing, width of spaces, relative or fixed angle To the curve), and the horizontal or vertical position of the sentence (left margin, horizontal and vertical centering). A Transparency function makes it possible to prepare these drawings for the Escus des Armes 5 (LEDA 5) software by defining the areas remaining to be colored.

Principle

Procedure to create a coat of arms
Menus

File | Trace | Position points
Import / Export | Create | Position layers
Edition | Drawing | Display
Layers | Transformations | Help
Status bar (bottom of screen)

 | General panel
Grid | Show or hide the creative help grid.
G | If the box is checked, the background remains visible while dragging. If the box is unchecked, the bottom is invisible during the slide, and repositioned automatically when the pawl is released: allows to limit the use of the memory during the sliding.
S | If the box is checked, the seed is displayed when it is resized. If the box is unchecked, the sown disappears temporarily during resizing: allows to limit the use of the memory during the sliding.
x/y | Position of the pointer moved with the mouse.
angle | Indicates the value of the rotation angle made in free transformation.
Sliding | Checked box: allows you to place the handles when creating a point by dragging the pointer, left ratchet pressed. Unchecked box: the handles are confused with the point, no risk of creating an unwanted curve between 2 points.
 | Background picture
Background | Show or hide the imported image in the background.
attached | Attach or not the image imported in the background to all plots, when moving with the Double-arrow.
Mitigate | Mask plus or minus the background image: allows to work sometimes more easily on the creation of the plots. Value 100 = image as it exists, value 1 = the image is almost invisible.
 | Colors and thicknesses of the layouts
Selected layer | Assigns the stroke lines of the selected layer a thickness from 1 to 30 and a color.
Associated layers | Assigns the strokes of the layers associated with the selected layer the chosen thickness and color.
Other layers | Assigns the lines of the other layers the chosen thickness and color.
 | Zoom
Zoom | Zoom on the work area from 20% to 500%. The 3 increments allow to quickly choose the desired zoom: by 100, by 1 and by 10.
by default | Maintains the current zoom value when opening or creating a drawing. If the box is unchecked, the zoom is reset to 100% when a new file is opened.
 | Background
Background | Assigns a color to the bottom of the screen used only when creating plots. It does not match the background color of the image when it is saved or printed.
Position | Place the plot using the memorized position when recording. If the box is not checked, the plot will be centered.
Memory used | Memory information used by all open applications.
Keyboard shortcuts :

Edition | Cancel | CTRL+ | Z
 | Remake | CTRL+ | Q
 | Cut | CTRL+ | X
 | Copy | CTRL+ | C
 | Paste | CTRL+ | V
Drawing | Coordinate the points | CTRL+ | S
Trace | Select all tracks | CTRL+ | A
Transformations | Free transformation | CTRL+ | T
Help | Help topics |  | F1
Exercises | Access to the exercises |  | F2


LECYGN - Summary
FILE MENU
Displayed a blank canvas. The new VTG file can not be registered if it contains at least one point.
Once a point has been created, the file can be saved: the default name is "En attente" followed by a serial number.
Displays the File Management window to view the contents of VTG folder by default.
It is possible to move in different media. Only files in VTG format will be visible.
The VTG format LECYGN software saves the curves and any associated text.
This format is used only by software LES ESCUS DES ARMES and LECYGN.

In the window presenting the VTG files :
Show Thumbnails
To view the images or not the various files in the selected folder before opening.
Settings in Preferences.
f the box is unchecked, the file can only be opened by clicking on its name and click the Open button, or by double-clicking its name.
If the box is checked, the file can be opened by clicking on its image or name and click the Open button, or by double-clicking the image or the name.

Thumbnail size
The Thumbnail Size allows you to enlarge the files in the folder from 1 to 5. The default value is 2.

Recently opened files | Shows a list of recently opened files. If you choose a file that has been deleted in the meantime, a message will indicate it. To re-open a listed file: click on its name.
 | Closes the current drawing. If the file has been modified, the record is proposed.
 | Saves the open drawing in VTG format including all layers, including curves and associated text, without background images. Links to these images may or may not be stored, see Preferences. If a background image has been imported, the proposed name for the VTG file will be identical to that of the background image.
 | Saves a VTG drawing under another name, in VTG format.
Preferences | Presents the different parameters specific to each user.
 | In the panel that appears: simply press and confirm to access the JUNIOR version; only the first 2 images of each folder are accessible, the following are only visible as Thumbnails. Otherwise, type the code obtained when purchasing the software to access the full version.
Quit | Exit application with prior or not modified files recording.
Preferences

Displays the Preferences panel.

Folders and Settings tab
Folders are available by default for saving various output or import formats.
This tab allows you to choose your own folders.

For each format, click the button to choose the preferred folder.
Enable or disable each option, depending on whether or not you want this folder to be the default.

The "not record informations for the background image" box: If saving this information is not useful, if the file is no longer being modified, if the file is placed on a new medium, this information will be ignored at the opening of the file. By checking this box, the size of the file will not take these unnecessary characters into account.

The Coefficient of blurring makes it possible to obtain more pleasantly recorded or printed patterns, canceling the scale effect proper to the drawings of the plots. The coefficient is applied to the height and width of the image, the image is then colored and then shrunk to its normal size. A coefficient of 6 will multiply the image by 36 (6 x 6), pay attention to RAM memory problems.
If the coefficient is set to 1, the contours will be sharp, without blurring. In this case, increase the output percentage, change the colors and reduce the image with other software. The coefficient 3 makes it possible to obtain acceptable blurring. The coefficient 6 gives the best quality for small drawings.

The "single background image for all layers" box: if checked, only one background image can be imported, otherwise you can import a background image for each layer.

Zoom by default: zoom used when launching the application. Can be temporarily changed in the status bar by checking the "default" checkbox associated with the Zoom.

Attenuation of the background image: it is sometimes preferable to attenuate the colors of the image which is used as a basis for the creation of the VTG, in particular its contours. By varying the attenuation, we will try to obtain an image more adapted to the work of tracing.

delete isolated points obtained by cuting : when cutting a path, the remaining segment can inherit only a single point, which is usually useful to delete.
General Settings Tab

Horizontal toolbar display | Check this box to show or hide the horizontal toolbar at application startup.
Vertical toolbar display | Check this box to show or hide the vertical toolbar to start the application.
Recently opened files | Number of files that the software keeps the list of previously opened files.
 | By clicking Default Color, the color you choose will be replaced with the default color. Click on the colored box to access the Colors panel. Choose a color. See Zoning and Coloring for the use of the Colors panel.
Color of work area | White by default
Thickness of the preview line | Thickness of the lines of the drawing of the lines.
Preview line color | Color of lines of the drawing of the plots.
Colors of the traced lines according to the layer | Colors used to distinguish the selected layer (active), its associated layers and the others.
Colors of grid lines | Colors used for the grid, main and secondary lines.
Grid | Parameters for creating the grid.
Weld precision | Width in pixels for searching for possible welds. The larger the value, the greater the search area around an endpoint to find another endpoint of another plot, allowing for the welding of the 2 plots.
Recording frame | Frame settings surrounding the file when it is saved: width from 0 to 100, default white color.
Print frame | Frame settings surrounding the file when it is printed: width from 0 to 100, white color by default.
+++
CANCEL: ignores any changes, hides the Preferences panel.

OK: Save preferences and hide the Preferences panel. These preferences are taken into account in the current session and in future sessions.


LECYGN - Summary
IMPORT / EXPORT MENU
Add a drawing (.vtg)
Choose the folder and then the file to add to the existing VTG file.
All paths in the file opened by this command will be added to the file on a new layer.
If the file to be added contains several layers, they will all be added.
Add background image
Choose the folder and then the image to add to the VTG file: this will be used as a template to create the paths.
This image can be moved or hidden.
Show background image
Shows or hides the image used as a template for creating the VTG drawing.
Remove background image
Deletes the link to the image, the image is not deleted from the media (disk, key, etc.).
Modifiy the background image
Modifies the Background image to make the outline layer easier.

The Transformation modifies the dimensions of the image and its orientation.
This modified image will be taken into account in the management of the Colors.

Colors management makes it possible to obtain sharper or easier to use contours.

All of these changes to the background image are only retained for one session.

Closing the file will cancel the focus of the Background image.
Zoning and coloring : details of features.

Save Image
Choose the format, and for JPG the quality rate (inverse of the compression ratio).
For output: choose the dimensions (preserved proportions) by specifying a value in pixels (width or height) or in percentage.
Select the width and color of the frame surrounding the image and click on Add to see the effect on the drawing. These settings can be changed before recording.
After recording, the panel remains displayed so that you can save the drawing in another format, for example. The Cancel button changes to Return to Drawing.
Print the image
Size (pixels): Actual size of the image.
Output: desired width or height (the other dimension not captured respects the proportion of the image).
In percentage: output size increased by percentage.
Margins: to be entered in pixels.
Centering H: centering between the left and right margins.
Centering V: centering between the top and bottom margins.
Orientation: Portrait (classic) or Landscape (elongated).
Full-page printing: The output dimensions are adapted so that the image occupies at least one of the useful dimensions of the page taking into account the defined or default margins and the proportions of the image.
Select the width and color of the frame surrounding the image and click on Add to see the effect on the drawing. These settings can be changed before recording.
>Zoning and coloring

This panel allows you to define for each layer the transparent areas and the opaque areas (white by default) that can be colored. The boundaries of the zones are the plots.
For an area to be colored, the contour must be hermetically sealed: see Tools for controlling the position of the points. The coloring is defined by the position of the click (s) on the drawing, and the color and / or transparency references.
It is this information which is memorized, the coloring is recalculated and reproduced with each visualization.

 | Layer plots can be moved (in full) using the Double-arrow on the main toolbar. Only layers with a path are accessible, blank layers will be temporarily disabled. All layers or layers can be moved: check the corresponding box (see 17).
1 | The Blue Triangle loads the default palette, the Orange Triangle loads the Personal palette: the 21 visible color squares are colored, as well as the other squares of the General Panel (see 10).
2 | The cursors modify the values of the R (red) V (green) B (blue) codes of the text areas (4): the resulting color appears in the white rectangle (6).
3 | Text fields allow you to give precise values to RGB codes.
4 | In this panel you will see the first 21 colors of the default palette and the personal palette. To change a color in the Personal Palette: - click on the Orange Triangle to reveal the palette; - choose the color in the color chart and if necessary vary the sliders or enter the values of the codes R G and B; - click with the right ratchet on the color square to be replaced by the new color; - to keep this change, click Save Palette; - to cancel this modification, display the Personal palette (click on the red triangle). Clicking this button will remove all color changes made and unsaved.
5 | The checkbox next to the rectangle of the current color allows to associate the 3 RGB sliders and to obtain from a chosen color all the shades of this color, from light to dark, the 3 cursors moving at the same time.
6 | The color chart allows you to choose a color directly.
7 | The Eyedropper tool allows you to find a color on a layer.
8 | The Clicking tool allows you to remove a color click or transparency without having to reset all clicks. Check the "view clicks position" box first and click on the click point you want to delete.
9 | The personal palette can be modified temporarily, the time of a drawing, or memorized for later use.To keep the changes in the Personal palette, click this button.
10 | The Red Triangle displays the Colors panel, allowing you to store 48 colors and refine the color selection (see below).
11 | By clicking on this checkerboard, the Transparency tool is activated. It is then possible by clicking on the areas of the drawing to make them transparent.
12 | By clicking on the white rectangle, the Opacity tool opacifies a transparent area.
 | A drawing will have transparent areas and opaque areas. For example, a ring will have an opaque area, the ring itself, and two transparent areas, the outside and the inside of the ring. You can prepare the drawing by defining these areas without knowing the final colors.
13

 | 5 check boxes: transparency or color application
1 | To apply to opaque areas. Example: A color to all previously opacified areas.
2 | to apply to all areas of the same color or type. Example: a checkerboard will have two colors and a transparent area, outside the checkerboard. After coloring the checkerboard, check this box to change the color of the squares of the same color by clicking on one of the squares to modify.
3 | hide layers not selected: to display only the layer being colorized.
4 | Shaded outlines / other layers: only the active layer will have colored contours, so you can see on which layer you are working.
5 | Visualize the position of the clicks: allows to understand the coloring of the layer and to delete a click.

14 | Initialization of coloring clicks applies to one or all layers and choice of type of Initialization: only the current box or all layers.
15 | Since the layer is saved with the history of coloring clicks, it is possible to return to these clicks even after the file has been saved, closed and then re-opened.
16 | Return to the drawing: display of the traces.
17 | Operations on all the layers or the associated layers: for the displacements of the layers.
18 | Layout or background of a layer.

Color Panel: accessible by Preferences and Coloring.
Same functions as in the simplified panel.
The cursor sliding areas have changed from 128 to 256, the number of colors in the pallets is 48 instead of 21.

Cancel: to retrieve the color before editing.


LECYGN - Summary
EDIT MENU
Cancels the last operation.
All transactions are recorded and can be undone.

Redo the last undone operation.
All operations can be undone and redone since opening the file.
Cup points or selected paths and keeps them in memory.
Copy points or selected tracks.
Glue dots or cut or copied tracks.
Permanently removes the points or selected tracks.
Moves all plots.
If the file has a background image, it will also be moved unless the check box "attached" to the status bar is cleared.
The movement can be also done by sliding the pointer over the work area or using the arrow-keys:
- Only arrows by moving pixel;
- SHIFT (not the lock button) + Arrows: move by 10 pixels;
- CTRL + SHIFT + arrows: move by 50 pixels.
NOTE: By pressing the SPACE key you can move the traces and the attached background image at any time.
Moves the background image if it exists, without moving the tracks.
The movement can be done by sliding the pointer over the work area or using the arrow-keys:
- Only arrows by moving pixel;
- SHIFT (not the lock button) + Arrows: move by 10 pixels;
- CTRL + SHIFT + arrows: move by 50 pixels.
Erase texts: erase texts from the 3 input areas accessible by Display / Show accompanying texts.


LECYGN - Summary
LAYERS MENU

A new layer will by default have the name "layer" followed by a numbering.
Duplication or a layer places the copy just above the original layer.
Sticking a layer places the copy just above the currently selected layer.
Merges combine all layers of the layers in a single layer.
The "Merge on New Layer" checkbox retains the original layers.
To associate a layer with the selected layer, click on the gray link to the left of the layer name: this link turns red on a light blue background.
To disassociate it, re-click on the red link, the link becomes gray again.
Associated layers can be moved together by the pointer or arrows on the keyboard.
The more the layer is at the top of the list, the more it is in the foreground.
Description of a line representing a layer

1 | Image indicating the chaining: the selected layer (single click on the name) has a red link. The layers associated with the selected layer also, the other layers not associated have a gray link.
2 | Check box: Shows or hides the layer.
3 | The name of the layer. - a click on the name makes this layer active: all operations will only affect this layer. - double-click to change this name: press the Enter key once to confirm the change.
4 | Checkbox: shows or hides all the text on the layer.
5 | Check box: shows or hides all the layers in the layer.
6 | Checkbox: displays the plot with the color defined in "9" or with the overall color.
7 | Input area: uniform thickness of the plots.
8 | Increment: to define a thickness without input.
9 | Track color: visible if box "6" is checked, and always in color mode.


LECYGN - Summary
PLOT MENU

Selection of points: see below.
Selection of plots: see below.
Select All Plots is for a single layer.
Invert selection: unselected plots are, and vice versa (same layer).
Reselect the last selected plots. May be inactive if the continuation of the operations carried out makes it impossible to memorize the selection.
Center Tracks: calculates the theoretical center of all tracks, and reposition them in the center of the screen.
Center also the background image.
To center multiple layers: check the "centering all" box.
Non-contiguous symmetry / horizontal axis: see below.
Non-contiguous symmetry / vertical axis: see below.
Inversion of the direction of the plot reverses the text. Corrects the meaning of the text, which is displayed by default from the first point to the last one.
Inverting reverses the order of recording points.
Seed management concerns the creation, the modification of the distribution of sownings, composed of repeated drawings in line and in columns, staggered or not.
Using a seed adds a seed to the active layer, without the possibility of changing the pattern or distribution, but with the possibility of defining the seed application area.
The composition management concerns the creation and the modification of the compositions in line and in column created from joined motifs, without possibility of detaching them.
Use a composition to add a composition to the active layer with the ability to define the application area.
Selection of points

Lets you select one or more points in order to modify, move, delete or transform them.
To select a point: click the point (do not move it by dragging the pointer).

To select several points: Draw a virtual rectangle surrounding the point or points to be selected:
- Click in the work area to the top left corner and this virtual rectangle;
- Drag down and right corner of the virtual rectangle which is marked with a red dotted line;
- Release the catch.
Selected points are full while others remain empty.
To select multiple sets of stitches, press and hold the SHIFT key to draw the different selection rectangles or to select each stitch.

To deselect selected points in a set of selected points, press and hold the Shift key (above CTRL key) and click on the points to deselect or draw a virtual frame wrapping these points: they will be removed from the selection.
Select curves

Selects entire layouts with multiple segments.

Draw a virtual rectangle to contain the point or points to be selected:
- Click in the work area to the top left corner and this virtual rectangle;
- Drag down and right corner of the virtual rectangle which is marked with a red dotted line;
- Release the catch.

Tracings of which at least one item is contained in the virtual rectangle are selected entirely All points are full.
Symmetry noncontiguous / horizontal axis
Symmetry noncontiguous / vertical axis
Create vertical symmetrical to the selected line.
Create horizontal symmetrical of the selected line.


LECYGN - Summary
SOWN
Sown Management
Description of the toolbar and a row of the seeded list

New sown | A | The new seed will be created from the active layer. If no file is open, a new file will be created. If the current layer has a path. The sown will use the drawing of this layer. The drawing can then be transformed into Free Transformation from the screen or by Parametric Transformation. A temporary Preview layer allows to visualize before rendering the rendering of the drawing with its distribution, staggered or not, with or without its coloring (if the original drawing has already been colored).
Duplicate the sown | B | The duplication of the sown allows to keep an original. The new seed can then be changed.
with coloring | C | If the drawing used for the creation of the sown is colored, the sown can be previewed colored.
default distribution | D | The default distribution is 2 in width and 1.2 in height. If the box is checked, the indicated values ​​can not be modified. If unchecked the distribution will be modified according to the indicated width (4) and height (5).
multiple deletion | E | To allow the selection of multiple crops to delete.
Delete the sown (s) | F | To delete the seeded checked.
Save sowns | G | Order available at any time. Replaces if necessary sown already registered.
Return to drawing | H | Hide the seed management panel.
 | 1 | Seed selection. If box 5 is checked (multiple deletion) several sowns can be selected simultaneously, otherwise the selection of one sowing deselects the previous one.
 | 2 | Seed Name: Unrestricted entry area.
 | 3 | Quinconce: Place the patterns in a staggered or grid pattern.
 | 4 | Horizontal distribution: active zone if the E box is checked.
 | 5 | Vertical distribution: active zone if the E box is checked.
Create or modify a seed
CREATION
- create a new file: File / New file;
- create the plot or place on the layer the design of the pattern (extracted from the base, or pasted or added from another VTG file);
- make all the desired transformations then double-click to validate it;
- click the New Sown button: a preview layer is automatically created showing the default sown;
- uncheck the default distribution box to modify the proposed values ​​if necessary and increase or decrease the distances;
- modify the drawing again if necessary in the same way as a drawing "transformed" by the Free Transformation or the Parameterized Transformation: the modification will automatically be carried over to all the drawings of the sowing;
- check or not the Quinconce box to offset the elements of the even lines.
- If the pattern has been colored, check the Coloring (D) box to display the sown in real mode.
- modify if necessary the name of the sown, numbered in order of addition: click on the current name, modify the text.
- click Save Sowns to add the new sown to the Sowns file.

MODIFICATION - DUPLICATION
- check the box next to the seed name to be displayed or duplicated: the seed appears on the layer;
- modify the distribution, distances and staggering as before;
- save the sowns.
How to use a seed
- create a new file or layer to receive the seed.
- display the Semés panel.
- check the seed to use and click on the button C: the seed will be added and delimited by a double frame.
- change the distribution of the seed if necessary. To preserve the original sowing, duplicate the seed (B).
- change the frame containing the seed: move the frame points to stretch the frame or reduce it.
- double-click on the layer to permanently add the seed to the layer.


COMPOSITIONS
Composition Management
Description of the toolbar and a line of the list of compositions

New composition | A | The new composition will be created from the active layer. If the current layer has a path, the composition will use the drawing of that layer. The drawing can then be transformed into Free Transformation from the screen or by Parametric Transformation. A temporary layer of Composition allows to visualize before recording the rendering of the drawing or without its coloring (if the original drawing has already been colored).
Duplicate the composition | B | The duplication of the composition makes it possible to keep an original. The new composition can then be modified.
with coloring | C | If the drawing used for creating the composition is colored, the composition can be previewed colored..
multiple deletion | D | To allow the selection of multiple compositions to delete.
Delete composition | E | To delete the checked composition (s).
Save compositions | F | Order available at any time. Replaces, if necessary, already recorded compositions.
Return to drawing | G | Hide the composition management panel.
 | 1 | Select composition: add to the selected layer. If box 5 is checked (Multiple Deletion) several compositions can be selected simultaneously, otherwise the selection of a composition deselects the previous selection.
 | 2 | Name of the composition: unrestricted entry area.
Create or edit a composition
CREATION
- create a new file: "File / New file";
- click on the 'Composition Management' button before or after drawing or loading the composition pattern;
- make all the desired transformations, but not the coloring;
- redisplay the composition panel if necessary by clicking on the Compositions Panel button in the help panel.
- click on the "New composition" button: a preview layer is automatically created displaying the default composition;
- modify if necessary the drawing in its form: Free transformation or Parameterized transformation;
- modify if necessary the name of the composition, numbered in order of addition: click on the current name, modify the text;
- click on "Save Compositions" to add the new composition to the Compositions file.

MODIFICATION - DUPLICATION
- create a new file: "File / New file";
- click on the 'Composition Management' button;
- check the box to the left of the name of the Composition to be viewed or duplicated: the composition appears on the layer;
- modify if necessary the drawing in its form: Free transformation or Parameterized transformation;
- save the compositions.
- click on "Return to drawing" to exit the Compositions mode.
How to use a composition
Use a composition
- create a new file or layer to receive the composition.
- click on the 'Use Composition' button
- tick the composition to use: the composition will be added and delimited by a double frame with resize handles at the 4 corners.
- modify the frame containing the composition: move the handles.
- double-click on the layer to permanently add the composition to the layer.
- click on "Return to drawing" to exit the Compositions mode.


LECYGN - Summary
CREATION MENU
Create points

Bezier curves consist of points between which are designed for straight or curved segments depending on the position of the two handles accompanying each point.
A pointer slip without a click will create a point related to previous by a straight.
A click will create a point with slide and will show two handles.
The line passing through the point and a handle is the tangent to the curve at that point. By placing a second point, a curve will be drawn tangent to this line between the two points.
The construction is therefore by curve segments: the use of tangents provides undulating curves without loss of harmony.

It is possible to "break" this harmony: see Tool Inflection asymmetrical.

Point Builder / Building Example
Warning: for the slip can be used, the box of the status bar Sliding must be checked.
Click on the work area, hold down the catch and drag down slightly to the right: point and handles appear: the point is the place where you clicked, the two handles are round two symmetrically placed on either side of the point.

The two segments placed on either side of the point represent the tangents of the half-curves, one of which will be defined by the next point.

When you release the latch, the drawing should look like this:
Click slightly to the right of the screen and drag the slider is pushed up slightly to the right.

A curve connecting the two points and tangent to the two segments representing the tangents, one attached to the previous point (not visible here), the other connecting point to the lower handle.
Click above and drag to the left: holding down SHIFT as you drag, the new and the handles are aligned horizontally.
Press and hold the CTRL key (the cursor changes to the white arrow selection points) and click in the work area outside the drawing.

The track is considered finished, the handles and the segments disappear.
Closure tool.
The closure of a curve is used when the curve is to be used later as a filling area, or when the form is closed naturally: the circle (or drive) for example.
The closure of a curve can be done when creating the curve, or later using the creation pointer and clicking on the first and the last point of the curve.
It is also possible with the pointer to create double-click the first point of the curve, the closing will be automatic.

Raise the CTRL key, the cursor takes the form of point of creation.

Move the pointer to the last point: the cursor takes the form of the sealing tool (link): + double pen drive to the tip.

Click on this, then click on the first point: the path is closed.
Add a point
To secure the addition, the segment where a point needs to be added is selected.
Having taken the green, a click on this segment will add a point to the clicked point.
Press the CTRL key and move the pointer over the segment for which you want to add a point.
Click to select the segment: the segment changes color.
Click the segment to add a point.

The added point does not change the appearance of the curve, the tangents are automatically recalculated for both ends of the segment and the added point.
Remove Point
To secure deletion, the segment for which a point should be removed is selected.
Having taken the green, clicking this will remove the curve.

Press the CTRL key and move the pointer over the curve with the point in question.
Click to select the curve that changes color.
Click the point to delete.
Symmetry contiguous / horizontal axis
Extends the route selected by creating its vertical symmetrical and by uniting the plot by his final point.
Symmetry contiguous / vertical axis
Extends the selected path by creating its horizontal symmetrical and by uniting the plot by his final point.


LECYGN - Summary
MENU DRAWING
Inflexion symmetrical

Change the position of the two handles associated with a point. The handles are created when you create the point and match the two halves-tangent at this point. | Clicking on the curve, the handles of the two points at the end of the segment appear.
 | Example of moving a single handle: greater distance to one of the handles.
This tool changes the slope of the two half-tangents and their importance on the curve. Plus a handful leaves its point more the curve will be tangent to the half-right. With zero length, grip confused with the point, the curve will be broken and will head directly to the next point. This tool retains the same slope with two half-tangent. Clicking and dragging a handle, the other will handle symmetrical (for angle) from the point but without his distance with this point is increased. By clicking on the item, the two handles are initialized and will be symmetrical, identical angles and lengths when the slip will occur. |


LECYGN - Summary
MENU DRAWING
Inflexion asymmetrical
This tool changes the slope of one of the two half-tangents and its importance on the curve.
Plus a handful leaves its point more the curve will be tangent to the half-right.
With zero length, grip confused with the point, the curve will be broken and will head directly to the next point.

This tool modifies the slope of a single half-tangent.

Used to move a handle without changing the position of the other, that is to say that the curve is broken at this point.

Click on the curve to display the handles of the point you want to change.
Click and drag the handle.
Release the catch.

The red curve is the modified curve.


LECYGN - Summary
MENU DRAWING
Explanations for each of the menu commands can be accessed by clicking the command name.


LECYGN - Summary
MENU DRAWING
Tracing meeting

Gathers two distinct paths.

Unlike the point creation tool, this tool can only collect two points belonging to distinct traces. Its use is useful if you do not want to close a path (the point creation tool can connect the two ends of the same path and thus "close" it).
- click on one of the ends of the first path;
- then click on one of the ends of the other path.
The two plots together, the new segment takes into account the 2-halves tangents of two points connected.


LECYGN - Summary
MENU DRAWING
Divides curve

Splits the plot into two plots keeping the split point for the two plots obtained.

Procedure:
- press the CTRL key and position the pointer above the curve concerned: the pointer changes its shape.
- click to select the curve concerned which changes color: light green.
- click on the split point: the plot is split into two independent plots.


LECYGN - Summary
MENU DRAWING
Cut the line

Cutting the route into two routes: when clicking on the selected curve, the segment is divided at the location of the click: Two points are created each belonging to one of the two new segments.

If it is a closed curve (the two points of beginning and end exist but are combined), the cut will generate a new provision: points created by the cut will become the points of beginning and end of the route, the original ones will be gathered at a single point placed in the plot.
Example :

1 Drawing consists of two closed circles. | 2 Procedure: - press the CTRL key and position the pointer over the segment concerned: the pointer changes its shape. - click to select the segment that changes color: light green.
3 - release the CTRL key; - place the pointer on the curve at the location of the cutting point: the pointer changes its shape; - click: the path is switched off. (To check it: choose the point selection tool, click on the new point and move the point: the other point appears). | 4 Repeat on the lower segment: CTRL + click on the segment.
5 Click the location of the point to add: the route is cut. | 6 You can move the left part.


LECYGN - Summary
MENU DRAWING
Solder two tracings

Allows to join two traces of which two of their ends overlap.

By placing the two ends at the same location, a click joins the two traces: the operation keeps the tangent of each trace.
Note: To ensure that the two points overlap, you can use the Point Coordination tool.

Bring the two tracings so that their ends merge.

Click the location of two points: the two tracings are united by the common point. The tangents are preserved.

Warning: this is now the same path: if two texts existed on these two paths, only one of them will be preserved (according to the direction of the traces).


LECYGN - Summary
MENU DRAWING
Automatic welding

Performs welding for all traces that can be combined.

If some of the paths have been selected beforehand, automatic welding will only be performed for the selected points.

All the traces are analyzed and if there are points with the same coordinates by which two traces can be combined, the welding is performed.
Caution: automatic welding can cause "undesirable" effects at certain points because at the ends of a trace, only the half-tangent facing the curve, the other half-tangent does not act because it There is no point beyond. When joining with another path, this half-tangent can act on the new segment and give an undesired curvature.


LECYGN - Summary
MENU DRAWING
Initialize a point or the selected points

Place the two handles at the same coordinates as points: the curves through these points are no longer influenced by these handles.

To make a geometric design or straight lines connecting certain points, it is useful not to bend the curve initially.

If the establishment has not been achieved by unchecking the Sliding, use this tool to initiate post the items for which it should not have to bend.

If several points are selected, clicking the button will initialize each point without the need to click on these points.


LECYGN - Summary
MENU DRAWING
Initialize a handle

Place the handle at the same coordinates as its point of attachment: the half-curve passing through this point and guided by the half-tangent associated with the handle will no longer be influenced by the half-tangent reduced to zero.

To make a geometric design or straight lines connect certain points, it is useful not to give curvature to the plot initially.

If the creative has not been created by unchecking the Slip box, use this tool to initialize a posteriori the handles for which there should be no curvature.

Procedure:
- press the CTRL key and position the pointer above the curve concerned: the pointer changes its shape.
- click to select the curve that changes color: light green, the handles appear in red.
- click the handle to initialize it.


LECYGN - Summary
MENU DRAWING
Coordinates of the points

Place the selected points at the same position by keeping the angles of the tangents.

In particular, to achieve a design that will be colored, it is necessary that there is no leakage during filling with color.

Procedure to coordinate points on an average point:
- choose Draw / Coordinate Points or click the corresponding toolbar button: it remains "pressed".
- select the points to be coordinated by creating a selection rectangle around these points;
- release the pointer: the points now have the same characteristics based on the abscissa (x) and ordinate (y) averages of the selected points.
- select the following points, then release the ratchet as many times as necessary.
To stop using this tool: Click the button on the toolbar: the button resumes its original appearance.

How to coordinate points on a point on an associated layer:
- associate with the layer to modify the layer containing the points to be used as point of attachment;
- choose Draw / Coordinate Points or click the corresponding toolbar button: it remains "pressed".
- select the points to coordinate placed near a point of the associated layer by creating a selection rectangle around these points;
- release the pointer: the points now have the same characteristics as the point of the associated layer;
- select the following points, then release the ratchet as many times as necessary.
To stop using this tool: Click the button on the toolbar: the button resumes its original appearance.
This procedure makes it possible to coordinate points in anticipation of a merger for example. This makes it possible to position points without the risk of moving the points of the original layer.

Can be used in preparation for welding two plots.

This tool allows to "plug" the holes that can be created when positioning a point of a new segment on an existing point: points the adjustment is well automated.


LECYGN - Summary
MENU DRAWING
Adjusting the positioning

Place the items on the nearest segments.
In particular, to achieve a design that will be colored with the crowns of Arms (LEDA 5), it is necessary that there is no color leakage during filling.

Procedure:
- Choose the Points selection tool;
- Select the items to coordinate;
- Select Drawing / Adjust positioning or click the corresponding toolbar.

Horizontal adjustment adjusts the position of the next point in a horizontal line (horizontal projection).
Vertical adjustment adjusts the position of the following items in a vertical line (vertical projection).

These tools can "plug" the holes that can be created when positioning a contiguous point of a segment: the adjustment points is well automated.
In the Transformation tab:

Same layout adjustment

When adjustment points, the check mark indicates that the point can be compared to curve the supporting, in the case for example of a loop. In this case, the approach can be done in batches so that the point is not closer to himself.
If the box is not checked the selected points will stick to the nearest curve, the distance is minimal.


LECYGN - Summary
MENU TRANSFORMATIONS
Explanations for each of the menu commands can be accessed by clicking the command name.

Flipping / horizontal axis | Flipping / vertical axis
Returns the selected path from top to bottom. Example: The plot must first be selected with the plot selection tool. This example shows a horizontal reversal (no duplication). | Returns the selected path from left to right. Example: The plot must first be selected with the plot selection tool. This example shows a vertical rollover (no duplication).
Pivot right 90 ° | Pivot left 90 °
Rotates the selected path 90 ° to the right. Example: This example shows a 90 ° clockwise pivoting (no duplication). The plot must first be selected with the plot selection tool. | Rotates the selected path 90 ° to the left. Example: This example shows an inverted clockwise rotation of 90 ° (no duplication). The plot must first be selected with the plot selection tool.


LECYGN - Summary
MENU TRANSFORMATIONS
Free Transformation

Manages selecting a dotted red rectangle.
The corners and midpoints of the sides are the handles that can be dragged to resize the selection.
The center of the selection is marked by a point.

Double-click the image when you have completed the changes, to validate.
Simple design

Click on one of the eight handles and drag to increase or decrease the size of the selection.

ALT + coin / ALT + côté ----- Sizing accompanied
Press and hold one or more of the following keys:
- ALT: to resize the selection symmetrically with respect to the central point;
- SHIFT: to keep proportions while resizing;
- ALT and SHIFT keys: to combine the two previous accompaniments.

MAJ+coin : proportions conservées | ALT+coin : déplacement libre, déplacement symétrique du coin opposé, cadre conservé

ALT + side: free movement, symmetrical movement on opposite side | CTRL + corner: move the corner only

CTRL + side: move side only | ALT + SHIFT + CTRL: reverse symmetric shift Opposite corner, frame and preserved proportions

CTRL + SHIFT + CURRENCY: Move the corner on one of the axes of the sides, depending on the direction of movement of the pointer | CTRL + SHIFT + side: move the side on the axis carrying the side

CTRL + ALT + corner: free movement of the corner, reverse symmetrical movement of the opposite corner, the other two fixed corners | CTRL + ALT + side: free movement of the side, reverse symmetrical movement on the opposite side

CTRL + ALT + SHIFT + CURRENCY: Move on the axis bearing the side, reverse symmetrical movement on this same axis of the other corner of the side | CTRL + ALT + SHIFT + side: movement on the axis bearing the side, symmetrical movement of the other side on its axis

Simple rotation | MAJ ----- Accompanied rotation
Move the pointer outside the rectangle: the pointer becomes a double-arrow adapted to the position of the pointer relative to the selection. Click, hold down the catch and drag around the center: the selection rotates. | Press and hold the SHIFT key. Move the pointer outside the rectangle. Click, hold down the catch and drag around the center: the selection rotates in steps of 22.5 °.
Rotation center moved
Move the pointer over the center point. When the form changes, click on the point and move it.
Rotate: it will be around the new position of the midpoint.


LECYGN - Summary
MENU TRANSFORMATIONS
Set transformation

Displays an input box to type values for different image change categories position, movement, height, rotation angle.

Select the check box corresponding to the item you want to use.
One or more headings are disabled automatically to avoid confusion in the transformation generated by parameters that can interfere with each other.

Rosters and Clearances

View tab Provisions for aligning independent points or belonging to the same paths.
Select the points with the single arrow (white) or the black arrow (plots).
Simple alignment

Projection / Horiz. : Selected points will be aligned on a horizontal line through the first selected point.
Projection / Vertic. : Selected points will be aligned on a vertical line through the first selected point.
Projection / Incline / Horiz. : Selected points will be aligned on a line through the first and last selected points with a horizontal projection.
Projection / Incline / perpend. : Selected points will be aligned on a line through the first and last selected points with a perpendicular projection.
Projection / Incline / Vertic. : Selected points will be aligned on a line through the first and last selected points with a vertical projection.
Alignment and Spacing

Horiz. : Selected points will be aligned on a straight line passing through the first and last selected points with a horizontal projection and the spacing between points is the same.
Perpend. : Selected points will be aligned on a straight line passing through the first and last selected points with a perpendicular projection and the spacing between points is the same.
Vertic. : Selected points will be aligned on a straight line passing through the first and last points selected with a vertical projection and the spacing between points is the same.
Position Points

Puts the selected point to a specific location.
The coordinates of the point and its handles can be changed here.
If the same box handles movement is checked, only the coordinates of the point is to learn, those handles will be calculated based on the offset point.
Same layout adjustment

When adjustment points, the check mark indicates that the point can be compared to curve the supporting, in the case for example of a loop. In this case, the approach can be done in batches so that the point is not closer to himself.
If the box is not checked the selected points will stick to the nearest curve, the distance is minimal.


LECYGN - Summary
MENU POSITION POINTS

Placement of the points: Displays the button positioning panels.

The Projection commands allow you to align selected points, belonging to one or more curves, or the points of one or more selected paths.

To force alignment on the position of a point, select this point only, and then add the other points to the selection using the SHIFT key.
For a horizontal projection, all the points will be aligned on the horizontal line passing through this first point.
For a vertical projection, all the points will be aligned on the vertical line passing through this first point.

To force the tilted alignment to the two-point position, select the first reference point alone, then add the other points to the selection and then terminate by selecting the last point (second reference point): all points will be aligned Line passing through these two points.

The last 3 commands align the points as the previous commands by equalizing the distance between the points.

When a point is selected, this area displays the exact position of the point and its handles.
If the "move the same handles" box is selected, the handles will follow the point, otherwise the position of the handles will have to be defined if necessary.

The same layout adjustment makes it possible to take into account or not the curve supporting the point to be glued on the nearest curve.

If the selected point corresponds to the start and end points of the path, the two points will be moved simultaneously.


LECYGN - Summary
MENU POSITION CALQUES
Positioning panel: displays the positioning buttons panel of the layers corresponding to the last 12 of the menu.
Proportional positioning: allows you to move a set of layers while maintaining a proportional positioning at their starting positions. See below for an example.
The first 6 commands allow alignment of the associated layers as shown on each drawing accompanying the command.
The last 6 commands allow regular spacing for the associated layers without affecting their alignments.
Proportional positioning - Example:


LECYGN - Summary
VIEW MENU
Explanations for non-commented commands are available by clicking on the name of the command.

Show / Hide options | Show or hide the panel with the different options areas: file management, formatting, preferences, and so on.
Show / Hide Guides | Displays multiple tabs for quick access to explanations of Tools, Hotkeys, manipulations to transform a plot, and the most common features.
Show Text panel | To add text and format it.
Accompanying texts | Displays or hides 3 text areas to store any information related to the drawing.
Folders Drawing | Displays the Drawings tab sorted by folders and subfolders. Select the folder and then the subfolder to display its contents. Access to the images can also be done by searching in the input area and / or the drop-down list at the top of the tab. Once the subfolder is displayed, double-click the drawing you want to add. If the Add / Layer selected check box is selected, the drawing is added to the current layer and the drawing is placed in Transformation mode so that it can be easily moved. If the Add / Layer selected check box is unchecked, the drawing is added to a new layer.
Show main toolbar | Shows or hides the toolbar at the top of the window. Its display can be set in the Preferences screen.
Show secondary toolbar | Shows or hides the toolbar above the tabs on the left side of the window. Its display can be set in the Preferences screen.
Show grid | Displays or hides the grid: This function also appears in the status bar (lower part of the window) as a check box.
Language | Displays the panel for selecting the language used for the commands.


LECYGN - Summary
VIEW MENU
Display text formatting options

Each curve can be the support for a text, regardless whether or not intended to be used as drawing a path.

To define the characteristics of the text, the path must be selected with the black arrow paths Selection.
To display the text: the Show text of the layer check box must be checked.

To assign a text layout, choose from:
- Type it into the text box;
- Select it from your list (1st drop down list);
- Select it in the list of currencies.
After selection, click Use Selected text of the relevant list.

To add text to your list:
- Type it into the text box;
- Click the Add text to the list.

To remove text from your list:
- Select it in the list;
- Click on the button Delete the text of the list.

To apply the same formatting to all text file of VTG:
- Select the route with the format to use.
- Check: after validation, the texts of all strokes have the same formatting.

If the box is unchecked, each text can have special formatting.

Choose the fonte, size and color by clicking on the rectangle.

Select if necessary a different width from the default obtained with 0.

For fat value 400 determines a non-bold text. Increase or decrease the value for a text + or - fat.

By checking the transp box, the color of the font is replaced by transparency: the characters are used as "stencils" to visualize the layer placed in the background.
This effect is perceived only in coloring or in the drawing obtained before printing or recording in a JPG format and others.

You can replace the font color with a pattern:
- Tick the box motif;
- Select a predefined patterns from the dropdown list.

To set a border to characters: choose the width and color.

Choose the text alignment for the selected path: left, center or right.

To set the left margin:
- Tick the box left margin;
- Choose a value: from 1 to 500.

To set the position on the curve:
- Check the box to the desired position.
* High: letters will be placed on the curve;
* Centered: they will be placed at mid-height;
- Low: they will be placed just below the curve.

The orientation angle / segment defines the natural angle of the text relative to the curve.
The text follows the curve and slope of the defined angle.
The fixed angle tilts the text of a uniformly throughout the plot.

The approach defines the spacing between the characters.
The default approach is achieved by specifying 0.

The space is the distance between words.
To use the default space leave unchecked the box spaces.


LECYGN - Summary
HELP MENU

Topics | Displays the file or you find explanations of each function.
Exercises | Opens the help file devoted to exercises.
About | Displays the About screen: information, memories and access key.


LECYGN - Summary
PRINCIPLE

Create drawings using Bézier curves, which will behave like vector files with regard to their advantages: no loss of quality after transformation (reduction, enlargement, deformation, pivoting), and avoid their major disadvantage: one curve per element .

From version 6, each VTG file consists of one or more layers (no limit).

Each layer has one or more points, connected or not to each other by curves called segments. A point can be isolated, such as in the creation of a "dotted line".

A layer can have multiple plots (set of curves). They will all have the thickness and coloring chosen for the layer. To obtain lines of different thickness and color, simply place the drawings on different layers.

A trace can be opened (isolated or curved point) or closed (the last point covering the first point, closing is automatic).

The set of layers of a layer is contained in a "virtual" frame. This frame delimits two zones: inside the frame and out of frame. These two areas can receive colors. The out-of-frame area can be colored or transparent. The coloring inside the frame depends on the closed or open traces. A closed path can therefore receive two colors, both inside and outside the path.

A set of plots can also generate "closed" areas that can receive their own colors.

They will also serve as supports for texts that can be added from a "Texts" database or entered directly in the area provided for this purpose.
Utilisation 1 : création d'un tracé en vue d'utiliser son dessin

CREATION OF TRACE

File / New Drawing (.vtg): the working area is not yet registered, it can only be realized when the work area have at least one point.

Click on the point of creation and button clicks (numbered in red) and landslides (numbered green) in the work area to create the curves.

Click on the point selection button and click in the work area to stop creation.

COLORING THE TRACE

Select the Colored Traces check box on the layer, choose the line thickness and color.

Choose one of the Import / Export / Save Image commands to see the resulting drawing.
An outline area is offered by default of 10 white pixels. It is possible to choose the width and color of this frame.
Utilisation 2 : création d'un tracé à partir d'une image en vue d'utiliser son dessin

USING A BACKGROUND IMAGE

Same operations as previously, friends having previously loaded a background image.
The working corresponds to follow the contours of the drawing.
Here, the plots have been colored light green to be worked on a black outline.

A detail of the lion.
Utilisation 3 : création d'un tracé en vue d'utiliser le dessin du texte supporté

TEXT Creating the curve. | Assigning a text curve and editing features.


PROCEDURE FOR CREATING A BLASON
Added elements of the coat of arms

1) Create a new file and choose from the list Héraldique / Ecus a form of shield.
2) Modify the zoom in order to visualize the shape in its entirety, that will avoid unnecessary displacements for the drawings.

3) Add a blank field:Héraldique / Partitions / Divers / 1st drawing or a score to choose in the subfolders of the Partitions.
4) If necessary, add the parts to choose from in the subfolders of the Pièces. Here: a Band (Héraldique / Partitions / Bandes).
5) Add if necessary the Meubles to choose from the subfolders of the Meubles subfolders. Here: a Lion (Meubles / Animaux terrestres / Lions), a Star (Meubles / Nature / Etoiles) and a Key (Meubles / Portes / Clés).
Each drawing is placed on an independent layer.
Scaling elements

The key
6) Click the name of the Clé layer.
7) Select all plots: Plots / Select all plots.
8) Choose the Transformations / Free Transform command.
9) Press the SHIFT key (to maintain the aspect ratio), click one of the corners of the red rectangle, hold down the ratchet, and drag to resize the key to the tape measure.
10) Release the ratchet. Click outside the rectangle, hold down the ratchet, and drag the pointer to rotate the key.
11) Release the ratchet. Click in the rectangle, hold down the ratchet and drag the pointer to place the key in the center of the band.
12) Double click on the screen to validate the transformation of the key.

Lion
13) Click on the name of the Lion layer.
14) Select all plots: Plots / Select all plots.
15) Choose the Transformations / Free Transform command.
16) Press the SHIFT key (to keep the aspect ratio), click on one of the corners of the red rectangle, hold down the pawl and drag the pointer to resize the lion to the measure of the lower area below gang. Move and resize if necessary.
17) Double click on the screen to validate the transformation of the lion.

L'étoile
18) Click on the name of the Etoile layer.
19) Select all plots: Plots / Select all plots.
20) Choose the Transformations / Free Transform command.
21) Move the drawing to the area at the top of the strip.
22) Double click on the screen to validate the transformation of the star.
Recording
23) Choose File / Save Drawing (vtg).
24) Type the name Coat of Arms 1st and validate.
Coloring elements

25) Select the layer of the ecu shape and choose Layers / Placing in the foreground. Repeat to place the shield at the top of the layer list.
26) Select Import / Export / Zoning and Coloring.
The drawings are pre-colored. The transformation of a drawing may result in a new zoning. It is therefore sometimes necessary to redefine the opaque and transparent areas.

Select the coloring layer.

To color a drawing evenly according to the predefined color:
- choose the color;
- tick the box apply to all areas of the same color or type and click on one of the areas already colored.

To make a particular area transparent:
- uncheck if necessary the boxes apply to all the opaque areas and apply to all areas of the same color or type.
- click on the checkerboard of Transparency.
- click only the area to make transparent.

To color one area at a time:
- uncheck if necessary the boxes apply to all the opaque areas and apply to all areas of the same color or type.
- click on the chosen color.
- click only the area to be colored.

To frame the coat of arms:
- select the layer containing the ecu form.
- click on the white rectangle of Opacity.
- uncheck if necessary the boxes apply to all the opaque areas and apply to all areas of the same color or type.
- click outside the shield.

To change the outline of elements: color and line thickness:
- select the layer to modify.
- thickness: increase or decrease the value of the thickness of the plots: box and incrementer placed to the right of the layer name.
- color: click on the square to the right of the thicknesser, choose the color

To view the rendered effect without leaving the Coloring: uncheck the gray outlines / other layers box.
To move layers in the screen: use the double-arrow.
To change the order of the layers: Use the Placer in the foreground and Placer in the background buttons.
Registration and overview
27) Click Back to drawing.
28) Choose File / Save Drawing (vtg).
29) Choose Import / Export / Save Image.
30) Modify if necessary the characteristics at the exit of the image: format, dimensions.
31) Modify if necessary the default framework proposed: dimension and color.
32) Click Save and then Return to drawing.
33) Choose File / Close and confirm the recording.